C GETPAGE.FOR	-	Program to read virtual block #1 of a file using
C			only the $QIO system service - given the UFD name
C			and the file name in that UFD
C
	IMPLICIT INTEGER (A-Z)
C
C File Information Block - reference p. 9-2 of I/O Users Guide
C
	INTEGER*4	UFD_FIB_DESC(2),FILE_FIB_DESC(2)
	INTEGER*2	UFD_FIB(8)  /0,0,0,0,0,4,4,0/  !MFD file ID=(4,4,0)
	INTEGER*2	FILE_FIB(8)
C
	BYTE		BUF(512)
	INTEGER*2	IOSB(4),CHAN
	CHARACTER	DEVNAM*5  /'DRA0:'/
	CHARACTER	UFDNAM*9  /'GAR.DIR;1'/
	CHARACTER	FILNAM*10  /'TEST.FIL;*'/
C
	EXTERNAL	IO$_ACCESS,IO$M_ACCESS,IO$_READVBLK,IO$_DEACCESS
C
C Initialize the descriptors for the File Information Blocks
C
	UFD_FIB_DESC(1)	=	16
	UFD_FIB_DESC(2)	=	%LOC(UFD_FIB(1))
	FILE_FIB_DESC(1)=	16
	FILE_FIB_DESC(2)=	%LOC(FILE_FIB(1))
C
C Assign a channel number to the disk 
C
	I = SYS$ASSIGN (DEVNAM,CHAN,,)
		IF(.NOT.I) CALL LIB$STOP(%VAL(I))
C
C Obtain the file ID of the UFD by accessing it in the MFD
C
	ACCESS_FUNC = %LOC(IO$_ACCESS) .OR. %LOC(IO$M_ACCESS)
	I = SYS$QIOW (,%VAL(CHAN),%VAL(ACCESS_FUNC),IOSB,,,
	1		UFD_FIB_DESC,UFDNAM,,,,)
		IF(.NOT.I) CALL LIB$STOP(%VAL(I))
		IF(IOSB(1).NE.1) CALL LIB$STOP(%VAL(IOSB(1)))
C
C Move the file ID of the UFD into the DID field of the file FIB
C
	FILE_FIB(6) = UFD_FIB(3)
	FILE_FIB(7) = UFD_FIB(4)
C
C Now deaccess the UFD 
C
	I = SYS$QIOW (,%VAL(CHAN),IO$_DEACCESS,IOSB,,,
	1		UFD_FIB_DESC,,,,,)
		IF(.NOT.I) CALL LIB$STOP(%VAL(I))
		IF(IOSB(1).NE.1) CALL LIB$STOP(%VAL(IOSB(1)))
C
C Access the file using the UFD file ID from above
C
	I = SYS$QIOW (,%VAL(CHAN),%VAL(ACCESS_FUNC),IOSB,,,
	1		FILE_FIB_DESC,FILNAM,,,,)
		IF(.NOT.I) CALL LIB$STOP(%VAL(I))
		IF(IOSB(1).NE.1) CALL LIB$STOP(%VAL(IOSB(1)))
C
C Read virtual block #1 of the accessed file
C
	I = SYS$QIOW (,%VAL(CHAN),IO$_READVBLK,IOSB,,,
	1		BUF,%VAL(512),%VAL(1),,,)
		IF(.NOT.I) CALL LIB$STOP(%VAL(I))
		IF(IOSB(1).NE.1) CALL LIB$STOP(%VAL(IOSB(1)))
C
C Write the first line of the block to the terminal
C
	TYPE	10,(BUF(I),I=1,70)
10	FORMAT (1X,70A1)
C
C Deaccess the fiile - we are finished
C
	I = SYS$QIOW (,%VAL(CHAN),IO$_DEACCESS,IOSB,,,
	1		FILE_FIB_DESC,,,,,)
		IF(.NOT.I) CALL LIB$STOP(%VAL(I))
		IF(IOSB(1).NE.1) CALL LIB$STOP(%VAL(IOSB(1)))
C
	END
