$ save_verify = 'f$verify()'
$ set noverify
$ set noon
$ goto skip_header
$!
$!	File:	a.com
$!	Date:	15-Jun-1983
$!	Author:	Robin Miller
$!
$!	Procedure to: Assemble modules for VTL.
$!
$!	Modifications:
$!
$!	Calling sequence: @a module_name
$!
$ skip_header:
$ no_such_file = %X18292
$!
$! Check for the fortran file specified.
$!
$ testfile 'p1.for
$ if file_code .ne. no_such_file then goto check_lbr
$ write sys$output "File ''p1.FOR does not exist ... exiting ..."
$ goto exit_compile
$!
$! Check for the VAXNET object module library.
$!
$check_lbr:
$ testfile vaxnet.olb
$ if file_code .ne. no_such_file then goto do_compile
$ write sys$output "Library file VAXNET.OLB does not exist ... exiting ..."
$ goto exit_compile
$!
$! Finally, do the FORTRAN compile and library insertion.
$!
$do_compile:
$ testfile 'p1.obj
$ if file_code .ne. no_such_file then delete 'p1.obj;*
$ testfile 'p1.lis
$ if file_code .ne. no_such_file then delete 'p1.lis;*
$ fortran/list/debug/show=(none) 'p1
$ libr vaxnet 'p1
$ testfile 'p1.obj
$ if file_code .ne. no_such_file then delete 'p1.obj;*
$!
$! all done:
$!
$ exit_compile: if save_verify then set verify
$ exit
