$! *************************************************************************
$! *************************************************************************
$! **                                                                     **
$! **                                                                     **
$! **  The following command procedure or fortran program was written by: **
$! **                                                                     **
$! **  Aaron B. Stein                                                     **
$! **  USAE Waterways Experiment Station                                  **
$! **  Vicksburg, Mississippi, 39180                                      **
$! **                                                                     **
$! **  601-634-3283                                                       **
$! **                                                                     **
$! **                                                                     **
$! *************************************************************************
$! *************************************************************************
$! 
$!
$	VERIFY = F$VERIFY()
$	SET NOVERIFY
$!
$!
$	IF  P1  .EQS. ""        THEN  INQUIRE P1 "  DIRECTORY  "
$!
$	IF  P1  .EQS. "BACKUP"          -
			                -
		.OR.	                -
			                -
	    P1  .EQS. "UTIL"            -
			                -
		.OR.	                -
			                -
	    P1  .EQS. "GCS"             -
			                -
		.OR.	                -
			                -
	    P1  .EQS. "CEEG"            -
			                -
		.OR.	                -
			                -
	    P1  .EQS. "USEAGE"          -
			                -
	 THEN GOTO SYSROOT_MGR
$!
$!
$	IF (F$EXTRACT(0,3,P1) .EQS. "SYS")  THEN GOTO SYSROOT_TOP
$!
$!
$	IF (F$EXTRACT(0,1,P1) .EQS. "."  )  THEN GOTO SUBDIR
$!
$!
$	IF (F$EXTRACT(0,1,P1) .EQS. "^"  )  THEN GOTO UP
$!
$!
$	IF  P1  .EQS. "OLD"                 THEN GOTO OLD
$!
$!		DIRECTORY IS ON THE USER_DISK
$!
$!
$	OLD == F$LOGICAL("SYS$DISK")+F$DIRECTORY()
$	SET DEFAULT USER_DISK:['P1']
$	SHOW DEFAULT
$	IF VERIFY THEN 	$	SET VERIFY
$	EXIT
$!
$!
$SYSROOT_TOP:
$	OLD == F$LOGICAL("SYS$DISK")+F$DIRECTORY()
$	SET DEFAULT SYS$SYSROOT:['P1']
$	SHOW DEFAULT
$	IF VERIFY THEN 	$	SET VERIFY
$	EXIT
$!
$!
$SYSROOT_MGR:
$	OLD == F$LOGICAL("SYS$DISK")+F$DIRECTORY()
$	SET DEFAULT SYS$SYSROOT:[SYSMGR.'P1']
$	SHOW DEFAULT
$	IF VERIFY THEN 	$	SET VERIFY
$	EXIT
$!
$!
$SUBDIR:
$	OLD == F$LOGICAL("SYS$DISK")+F$DIRECTORY()
$	SET DEFAULT ['P1']
$	SHOW DEFAULT
$	IF VERIFY THEN 	$	SET VERIFY
$	EXIT
$!
$!
$UP:
$	HYPHENS = ""
$	HYPHEN = "-"
$	COUNT  = 0
$	PERIOD = "."
$	UP    = F$EXTRACT ( 0 , F$LOCATE ( PERIOD , P1 ) , P1 )
$	DOWN  = F$EXTRACT ( F$LOCATE ( PERIOD , P1 ) , F$LENGTH ( P1 ) , P1 )
$	UP    =  F$LENGTH ( UP )
$   BEGIN_LOOP:
$	HYPHENS = HYPHENS + HYPHEN
$	COUNT = COUNT + 1
$	IF COUNT .LT. UP THEN GOTO BEGIN_LOOP
$	DIR = HYPHENS+DOWN
$	OLD == F$LOGICAL("SYS$DISK")+F$DIRECTORY()
$	SET DEFAULT ['DIR']
$	SHOW DEFAULT
$	IF VERIFY THEN 	$	SET VERIFY
$	EXIT
$!
$OLD:
$	TOLD = F$LOGICAL("SYS$DISK")+F$DIRECTORY()
$	SET DEFAULT 'OLD'
$	SHOW DEFAULT
$	IF VERIFY THEN 	$	SET VERIFY
$	OLD == TOLD
$!
$!
