#-h- address.bld     1129  asc  22-dec-82 19:51:09  tools (lblh csam sventek)
$!	This command file causes the address file in ~msg to be rebuilt.
$!	It is suggested that this command file be run whenever the system
$!	reboots, as well as whenever the system accounting file is changed.
$!	This command should be run from a priveleged account, and assumes
$!	that the software tools logical names have already been defined.
$!
$! set verify
$ addr:==$st_bin:addr
$ @st_bin:dcldef/out=nla0:
$ addr >~msg/address
$!
$!	The following line is commented out, but may be re-enabled if
$!	you wish to eliminate some accounts from the mail system.  A
$!	typical `nomail.sh' file might look like
$!
$!	find <~msg/address -x "%account-1" "%account-2" ... | cat >~msg/address
$!
$!	The -x option to find causes all lines but those matching the
$!	pattern[s] to be copied to standard output.  If more than 10 accounts
$!	must be eliminated, the output of the find command can be piped
$!	into another find command, etc., until all of the undesirable accounts
$!	are eliminated.
$!
$! sh -v ~msg/nomail.sh
$!
$!	This line assures that ~msg/address has the correct protection
$!
$ set protection=(g:r,w:r) st_msg:address.
#-h- arcdel.sh         16  asc  22-dec-82 19:51:10  tools (lblh csam sventek)
ar t $1 | rm $2
#-h- arclist.sh        39  asc  22-dec-82 19:51:10  tools (lblh csam sventek)
alist $1 $2 $3 $4 $5 $6 $7 $8 $9 | lpr
#-h- asm.sh            24  asc  22-dec-82 19:51:10  tools (lblh csam sventek)
rm $1.obj
mac/nolist $1
#-h- breakup.sh       524  asc  22-dec-82 19:51:11  tools (lblh csam sventek)
#  this script file may be used to break monster fortran programs into
#  individual files.  To use, simply type
#
#  breakup fortfile [>main]
#
#  breakup will place each function and subroutine on a file with the
#  same name and the extension .qq.  If a main program appears
#  at the beginning of the file, it will be placed on standard output.
#
tr <$1 A-Z a-z |@
ch "[!#c][!#]*subroutine" "[!#c][!#]*function" "%?*$"  "#-h- &@n&" |@
ch "%#-h-" "- ?*subroutine" "- " |@
ch "%#-h-" "- ?*function" "- " | asplit -v -t.qq
#-h- build.com        538  asc  02-aug-83 19:52:03  tools (lblh csam sventek)
$ fort/noopt/nolist/object='p1'.obj 'p1'.f
$ open/write file temp.opt
$ write file "''p1'.obj,-"
$ write file "rlib/incl=(tools$main),-"
$ if shared .eqs. "y" then write file "rlibshare/share,-"
$ if shared .eqs. "Y" then write file "rlibshare/share,-"
$ write file "rlib/libr"
$ close file
$ link/notrace/nomap/exe='p1'.exe temp.opt/options
$ delete temp.opt.*
$ if remfor .eqs. "y" then delete 'p1'.f.*
$ if remfor .eqs. "Y" then delete 'p1'.f.*
$ if remobj .eqs. "y" then delete 'p1'.obj.*
$ if remobj .eqs. "Y" then delete 'p1'.obj.*
#-h- cleanup.com       58  asc  22-dec-82 19:51:12  tools (lblh csam sventek)
$ on warning then goto next
$ delete st_tmp:*.*.*
$ next:
#-h- context.sh        80  asc  22-dec-82 19:51:12  tools (lblh csam sventek)
find <$1 "%#-h-" $2 $3 $4 $5 $6 $7 $8 $9 | fb "-s%#-h-" $2 $3 $4 $5 $6 $7 $8 $9
#-h- dcldef.com        23  asc  22-dec-82 19:51:12  tools (lblh csam sventek)
$ define dcl_tools yes
#-h- dodcl.com       2027  asc  22-dec-82 19:51:13  tools (lblh csam sventek)
$ set noon
$ @st_bin:ttdef/out=nla0:
$ np1 := 'p1'
$!!!
$!!! the following line exists to cause general symbol definitions to be
$!!! performed for the process.  It is assumed that the logical name
$!!! sys$manager has been defined, and that logdef.com contains symbol
$!!! definitions which are normally done during login for each user
$!!!
$! @sys$manager:logdef.com
$! alltools
$!!!
$!!! the following lines exist to permit Eunice images to be invoked from
$!!! the software tools shell.  Upon spawning of DCL to execute the verb
$!!! passed to this command file, the Eunice directory is first searched
$!!! for the corresponding verb.  If found, an appropriate symbol definition
$!!! is made, and the image invoked.
$!!!
$!!! In addition, if the verb is of the form  ~eu/name, this forces
$!!! the spawning of a Eunice image.  Likewise,  ~lo/name  forces
$!!! the execution of an image from the current working directory.
$!!! Finally,  ~st/name  causes the software tools image to be activated.
$!!! This is especially useful for spawning Software Tools images from
$!!! within Eunice images.
$!!!
$! n = 'f$locate("/",p1)'
$! if n .eq. 'f$length(p1)' then goto doit
$! dev := 'f$extract(0,n,p1)'
$! n = n + 1
$! if dev .eqs. "~LO" then goto iscd
$! if dev .eqs. "~lo" then goto iscd
$! if dev .eqs. "~EU" then goto iseu
$! if dev .nes. "~eu" then goto tryst
$! iseu:
$! np1 := 'f$extract(n,20,p1)'
$! goto doit
$! tryst:
$! if dev .eqs. "~ST" then goto isst
$! if dev .nes. "~st" then goto trycd
$! isst:
$! zzzzzzzzz := $st_bin:'f$extract(n,20,p1)'.exe
$! np1 := "zzzzzzzzz"
$! goto doit
$! trycd:
$! if dev .nes. "~" then goto doit
$! iscd:
$! zzzzzzzzz := $'f$logical("SYS$DISK")''f$directory()''f$extract(n,20,p1)'.exe
$! np1 := "zzzzzzzzz"
$! doit:
$! exist := $st_bin:exist.exe
$! exist bin:'np1'.exe
$! if $status .ne. 1 then goto go_on
$! 'np1':=="$bin:''np1'.exe ''np1'"
$ go_on:
$ deassign sys$input
$ assign/user 'f$logical("TT")' SYS$INPUT
$ 'np1 'p2 'p3 'p4 'p5 'p6 'p7 'p8
$ if $status .gt. 1 then exit 101
#-h- dummail            1  asc  22-dec-82 19:51:13  tools (lblh csam sventek)

#-h- foreign.com      581  asc  22-dec-82 19:51:14  tools (lblh csam sventek)
$ n = 'f$locate(":",p1)
$ dev := 'f$logical("SYS$DISK")'
$ colon = 0
$ if n.eq.'f$length(p1)' then goto getdir
$ n = n + 1
$ colon = n
$ dev := 'f$extract(0,n,p1)'
$ getdir:
$ start = 'f$locate("[",p1)'
$ stop = 'f$locate("]",p1)'
$ n = stop - start + 1
$ dir := 'f$directory()'
$ filst = colon
$ fillen = 'f$length(p1)'
$ if stop.eq.fillen then goto getfil
$ dir := 'f$extract(start,n,p1)'
$ filst = stop + 1
$ fillen = 'f$length(p1)' - filst
$ getfil:
$ file := 'f$extract(filst,fillen,p1)'
$ n = 'f$locate(".",file)'
$ root := 'f$extract(0,n,file)'
$ 'root':==$'dev''dir''file'
#-h- locate.sh         38  asc  22-dec-82 19:51:14  tools (lblh csam sventek)
who | find $1 $2 $3 $4 $5 $6 $7 $8 $9
#-h- manhdr           652  asc  22-dec-82 19:51:15  tools (lblh csam sventek)
.de hd
.pl 60
.bp
.in 4
.rm 72
.he '$1 $2'$3 $4 $5 $6 $7 $8'$1 $2'
.fo ''-#-''
.fi
.in 8
.ti -4
NAME
.br
$1 -
.en
.de sy
.sp 1
.ti -4
SYNOPSIS
.br
.nf
.en
.de ds
.fi
.sp
.ti -4
DESCRIPTION
.br
.en
.de fu
.fi
.sp 1
.ti -4
FUNCTION
.br
.en
.de di
.fi
.sp
.ti -4
DIAGNOSTICS
.br
.en
.de re
.fi
.sp
.ti -4
RETURNS
.br
.en
.de fl
.fi
.sp
.ti -4
FILES
.br
.en
.de ex
.fi
.sp
.ti -4
EXAMPLES
.nf
.br
.en
.de im
.fi
.sp
.ti -4
IMPLEMENTATION
.br
.en
.de sa
.fi
.sp
.ti -4
SEE ALSO
.br
.en
.de am
.fi
.sp
.ti -4
ARGUMENTS MODIFIED
.br
.en
.de ca
.fi
.sp
.ti -4
CALLS
.br
.en
.de bu
.fi
.sp
.ti -4
BUGS/DEFICIENCIES
.br
.en
.de au
.fi
.sp
.ti -4
AUTHORS
.br
.en
#-h- msghlp         10594  asc  22-dec-82 19:51:16  tools (lblh csam sventek)
#-h- banner           106  asc  23-apr-82 11:54:56  j (sventek j)



    Software Tools MSG System
        type ? for help
        type # for news
        type % for intro
#-h- first             46 asc 21-oct-80 07:15:39
The following commands are recognized by msg:
#-h- a                565 asc 23-oct-80 08:15:23
a[nswer]        message

Answer message number: <NUMBER>

This command causes sndmsg to be spawned as a sub-process, with the
To field being the sender of the indicated message, and the subject
field consisting of the string "Re: <SUBJECT>", where <SUBJECT> is
replaced by the subject of the indicated message.  In addition, the
message header of the answering message will contain the line

"In-reply-to: Your message of <DATE>"

where <DATE> is replaced by the date of the indicated message.
The user will be prompted for Cc addresses and the message to be sent.
#-h- b                329 asc 21-oct-80 07:15:39
b[ackup]        to previous message and type it

Backing up - previous message is:

This command displays the previous message (i.e. current message - 1).
It is the inverse of the Next command.  The current message number is
decremented.  If the current message number is 1 when Backup is invoked,
an error message is displayed.
#-h- c                271 asc 21-oct-80 07:15:40
c[urrent]       message number and file

Current message is nn of mm messages in file <FILE-NAME>

This command displays:
  1. the number of the current message
  2. the total number of messages in the message file
  3. the file name of the currently active message file
#-h- d                371 asc 21-oct-80 07:15:41
d[elete]        message(s)

Delete (message sequence) <MSG-SEQUENCE>

This command marks the messages specified in MSG-SEQUENCE as deleted,
as indicated by an asterisk following the message number in the headers
of the affected messages.  The actual messages in the message file are
not affected unless an Overwrite, Exit or Write command is executed
before leaving MSG.
#-h- e                242 asc 21-oct-80 07:15:41
e[xit]          and update old file

Exit and update old file <FILE-NAME> [type SPACE to confirm]

This command overwrites the current message file, but permits the user
to leave MSG rather than re-reading the message file as Overwrite does.
#-h- f                284 asc 21-oct-80 07:24:01
f[orward]       message

Forward message number: <NUMBER>

This command causes sndmsg to be spawned as a sub-process, with the
message consisting of the header and message body of the indicated
message.  The user will be prompted for To, Cc and Subject fields
upon entry into sndmsg.
#-h- g                578 asc 21-oct-80 07:15:42
g[o to]         message specified and print it

Go to message number: <NUMBER>

This command permits explicit changing of the current message number.
If <NUMBER> is not in the range of acceptable values (i.e. it is less
than 1 or greater than the number of messages in the file), an error
message is displayed and the current message number will remain
unchanged.  Legal inputs for <NUMBER> are:
  1. a number in the range 1 <= n <= NMSGS
  2. f for the first message (message number 1)
  3. l for the last message
  4. <CARRIAGE-RETURN> for the current message number (a noop)
#-h- h                724 asc 21-oct-80 07:15:43
h[eaders]       print headers of message(s)

Headers (message sequence) <MSG-SEQUENCE>

This command displays the headers for the messages defined by the
specified message sequence.  Headers corresponding to deleted
messages have an asterisk printed after the message number for that
particular message.  The format for the headers is:

<msg-no>  <size in characters>  <date>  <from>  <subject>

The headers are displayed a screenful at a time.  After a screenful
has been output, if there are more headers remaining to be displayed,
the user is prompted with the string "[type SPACE to continue]".
A response of SPACE will cause the next screenful to be displayed.
Any other response terminates the listing of the headers.
#-h- i                185 asc 21-oct-80 07:15:44
i[nformation]   on command displayed

Information - type command character: <COMMAND-CHARACTER>

This command displays full help information for those commands listed
by the ? command.
#-h- j                275 asc 21-oct-80 07:15:44
j[ump]          into shell - return by typing logout to shell

Jump into shell [type SPACE to confirm]

This command drops the user into the Software Tools shell.  All
normal commands may be executed while in the shell.  Control returns
to MSG by typing logout to the shell.
#-h- k                 54 asc 21-oct-80 07:15:45
k[ey]           encryption-key  *** UNIMPLEMENTED ***
#-h- l                539 asc 21-oct-80 07:15:45
l[ist]          message(s) in print format on file

List (message sequence) <MSG-SEQUENCE>
on file name: <FILE-NAME>

This command lists all the specified messages on the file specified
(overwriting the current contents of <FILE-NAME>.  A preface page,
consisting of a FORMFEED character and the headers of the selected
messages is output first, followed by each message preceded by a
FORMFEED character.  The file output by List can be disposed to a
printer using the lpr shell command, resulting in a message on each
page of the output.
#-h- m                341 asc 21-oct-80 07:15:46
m[ove]          message(s) to another mail file and mark them deleted

Move (message sequence) <MSG-SEQUENCE>
into file name: <FILE-NAME>

This command is a convenient combination of the Put and Delete commands.
It will first put the selected messages into the file specified and then
mark the messages as deleted in the header information.
#-h- n                292 asc 21-oct-80 07:15:46
n[ext]          message is typed

Next message is:

This command displays the next message (current message number + 1)
and increments the current message number.  If the current message is
already the last one, an error message is displayed and the current
message number remains unchanged.
#-h- o                260 asc 21-oct-80 07:15:47
o[verwrite]     current file and re-read

Overwrite old file <FILE-NAME> [type SPACE to confirm]

This command will overwrite the current file (specified by <FILE-NAME>),
eliminating any deleted messages.  It then re-reads the file, re-numbering
the messages.
#-h- p                399 asc 21-oct-80 07:15:47
p[ut]           copies of message(s) in another mail file

Put (message sequence) <MSG-SEQUENCE>
into file name: <FILE-NAME>

This command will put the messages specified by <MSG-SEQUENCE> into
the file specified by <FILE-NAME>.  If the file does not exist, it
will create the file and write the messages into it.  If the file
already exists, the messages are appended to those already in the
file.
#-h- q                173 asc 23-oct-80 08:10:18
q[uit]          leave MSG without updating current file

Quit [type SPACE to confirm]

This command allows the user to leave MSG without modifying the
current message file.
#-h- r                313 asc 21-oct-80 07:15:48
r[ead]          in another mail file

Read file name: <FILE-NAME>

This command allows the user to use MSG on files created by previous
Move or Put invocations.  The current message file is closed with no
modification, and the file specified is read, displaying the headers
before prompting for the next command.
#-h- s                287 asc 21-oct-80 07:24:03
s[ndmsg]        invoke SNDMSG to send a message (and return to MSG)

Sndmsg [type SPACE to confirm]

This command causes SNDMSG to be spawned as a sub-process, allowing the
user to send a message without leaving MSG; when SNDMSG exits, MSG
regains control with no changed to files, etc.
#-h- t                557 asc 21-oct-80 07:15:49
t[ype]          message(s) on standard output

Type (message sequence) <MSG-SEQUENCE>

This command displays the messages specified.  If more than one message
is specified, the user is prompted with "[type SPACE for next message]"
after each message.  In addition, if a particular message is
larger than one screenful, the user is prompted after each screenful.
A negative response to this latter prompt results in the termination of
the display of the particular message, while a negative response to the
former results in termination of the Type command.
#-h- u                127 asc 21-oct-80 07:15:50
u[ndelete]      message(s)

Undelete (message sequence) <MSG-SEQUENCE>

This command undoes the actions of the Delete command.
#-h- w                 74 asc 21-oct-80 17:03:18
w[rite]         current file, sorted by date field  *** UNIMPLEMENTED ***
#-h- news              54 asc 21-oct-80 07:15:51
#[news]         print MSG news
	No news is good news!
#-h- help              32 asc 21-oct-80 07:15:51
?[help]         print this list
#-h- intr             908 asc 21-oct-80 07:15:52
%[intro]        type an introduction to MSG (for first-time users)
If you are a new MSG user, you probably need ONLY the following commands:

      t type message(s) on terminal; common options are `a' for all
        messages or `<n>' (where <n> is an integer) for message <n>.

      d delete a message after reading it; common options as above.

      e exit MSG and move messages which have not been deleted to your
        mail file (`mbox' in your home directory).

      q quit MSG without updating your mail file; if there are any
        messages left, you will be notified when you next login (or
        the next time you run `postmn').

NOTE:   These command characters should NOT be followed by a RETURN. When
        you type one of them, MSG will immediately prompt you for more
        input.

To print a copy of the MSG primer on the lineprinter, type

                sh -c "msgprim | lpr"
#-h- last              53 asc 21-oct-80 07:15:52
For more information, use the i[nformation] command.
#-h- sequ             717 asc 21-oct-80 07:15:53

(1) Any single message number, as listed in the headers.

(2) Any two message numbers separated by `:' or `-'.  This implies
    a range of messages (e.g. 2-5).

(3) Any sequence of the previous two types, separated by commas.  For
    example, `1,3,5-7,10'.

(4) Special types of sequences, determined by the first character typed
    in response to the `(message sequence)' prompt:

    RETURN  The current message.
    a       All messages.
    d       All `deleted' messages.
    f       All messages whose `From:' field match a string.
    s       All messages whose `Subject:' field match a string.
    u       All `undeleted' messages.

    (The user is prompted for the string in the `f' and `s' sequences.)
#-h- msgprim.sh        12  asc  22-dec-82 19:51:17  tools (lblh csam sventek)
man -s4 msg
#-h- msgtest.sh      3086  asc  22-dec-82 19:51:18  tools (lblh csam sventek)
cat <<!

Date: 25-MAR-80 12:46:23 - PST
From: Tools
Subject: another test of mail
To: tools

sure hope this works again.



Date:    27-MAR-80 15:08:32 - PST
From:    Tools
Subject: still more tests
To:       allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
          hogan, holmes, kreps, merrill, oracle, robinson, rtsg,
          scherrer, shoshani, sventek, sventekv, system, tabata, tape,
          tools

another test message


Date:    27-MAR-80 15:13:34 - PST
From:    Tools
Subject: testing
To:      allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
         hogan, holmes, kreps, merrill, oracle, robinson, rtsg,
         scherrer, shoshani, sventek, sventekv, system, tabata, tape,
         tools



Date: 01-APR-80 13:25:18 - PST
From: Tools
Subject: test of the mail system
To: tools

this is another damn test


Date: 03-APR-80 11:35:09 - PST
From: System
Subject: A TEST OF THE MAIL SYSTEM
To: allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
    hogan, holmes, kreps, merrill, oracle, robinson, rtsg, scherrer,
    shoshani, sventek, sventekv, system, tabata, tape, tools

THIS IS ANOTHER TEST.  SORRY FOR THE INCONVENIENCE.


Date: 09-APR-80 17:47:55 - PST
From: Tools
Subject: a test of the mail system
To: tools

just another test message


Date: 09-APR-80 17:51:18 - PST
From: Tools
Subject: more testing
To: allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
    hogan, holmes, kreps, merrill, oracle, robinson, rtsg, scherrer,
    shoshani, sventek, sventekv, system, tabata, tape, tools

just another test to keep you on your toes.


Date:    09-APR-80 18:02:49 - PST
From:    Tools
Subject: another test
To:      tools

hellllllp.


Date:    09-APR-80 18:11:45 - PST
From:    Tools
Subject: why doesn't mail work?
To:      tools

old one works, but damned if the new one does.


Date: 10-APR-80 10:09:14 - PST
From: Tools
Subject: more testing
To: tools, tools, tools

still another test of the mail system


Date: 10-APR-80 10:10:13 - PST
From: Tools
Subject: more testing
To: allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
    hogan, holmes, kreps, merrill, oracle, robinson, rtsg, scherrer,
    shoshani, sventek, sventekv, system, tabata, tape, tools

this is a test of the mail system


Date:    10-APR-80 10:27:15 - PST
From:    Tools
Subject: Yet another test
To:      allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
         hogan, holmes, kreps, merrill, oracle, robinson, rtsg,
         scherrer, shoshani, sventek, sventekv, system, tabata, tape,
         tools

sorry for the inconvenience


Date:    10-APR-80 10:43:02 - PST
From:    Sventek
Subject: sventek's test
To:      sventek, tools, system

sure hope this works

Date:    10-APR-80 14:53:19 - PST
From:    Tools
Subject: testing again
To:      allen, austin, bargmeyer, benson, gey, guest, heckman, helena,
         hogan, holmes, kreps, merrill, oracle, robinson, rtsg,
         scherrer, shoshani, sventek, sventekv, system, tabata, tape,
         tools

will it never stop?
!
#-h- mymail.eds       169  asc  22-dec-82 19:51:18  tools (lblh csam sventek)
r ~msg/address
g/%[a-z0-9]+/s///
g/% +/s///
g/ +?*$/s///
g/?*$/s//$ copy st_bin:dummail. &mymail.@n$ set prot=(s:rwed,o:rwe,g:rwe,w:rwe) &mymail./
w st_bin:mymail.bld
q
#-h- ospell.sh         64  asc  22-dec-82 19:51:21  tools (lblh csam sventek)
tr <$1 A-Z a-z | tr !a-z '@n' | sort | uniq | comm -2 ~bin/dict
#-h- readme.1st      3164  asc  17-feb-83 16:54:22  tools (lblh csam sventek)


                     Fall 1982 DECUS Distribution


The  following  steps must be performed to build the Fall 1982 release
of the LBL/Hughes Software Tools package for VMS. 

 1. Edit the file  stlognam.com  in  this  distribution  directory  to
    reflect  the  disk  and directories used by the tools.  All of the
    tools logical names start with the string "st_", in an attempt  to
    avoid  conflicts  with  all  other  software.   The definition for
    st_node should be replaced with your node  name,  and  st_timezone
    should   be   replaced   with   the  appropriate  three  character
    mnemonic.  Do not worry, the software which uses the logical  name
    worries  about  whether it is daylight-savings time or not, so you
    won't have to worry about changing the  logical  name  each  April
    and October. 
    
 2. Invoke the modified stlognam.com to set up the environment
    
 3. Create  the  six  known  directories (~bin, ~usr, ~tmp, ~lpr, ~msg
    and ~man) with the appropriate  protection,  and  set  default  to
    st_bin.   Consult  release.doc  for  information  on  the required
    protection modes for the directories. 
    
 4. Copy the Distn directory files into the current  directory,  after
    deleting  all  files  currently  in the directory.  Make sure that
    the account under which you are running has the following quotas:

         PRCLM          10
         BYTLM       30000
         FILLM          75
         TQELM          40
         PGFLQUOTA   16384

    
 5. @toolgen
    This command file assembles all  macro  primitives,  compiles  all
    fortran  primitives,  builds two tools to bootstrap ourselves, and
    then proceeds to build the 115 utilities  in  the  package.   This
    takes  a  while, so take a break.  If you answer yes to any of the
    questions concerning file deletion, toolgen will  delete  unneeded
    files  as  the  processing  progresses.   If you delete the object
    files, a savings of ~2000 disk blocks ensues.  If you  delete  the
    source  files  as you progress, a savings of ~3700 blocks accrues.
    The entire system occupies ~22000 blocks if no files are  deleted,
    or  ~16000  blocks  if both sources and objects are deleted during
    the build. 
    
 6. Now modify the system startup  files  to  setup  the  new  logical
    names and installed images for the next boot. 
    
 7. Install the known images using st_bin:tools.ins
    


                                 -1-


                     Fall 1982 DECUS Distribution


 8. The  required  quotas  have  not  changed with this release, so no
    mucking with the authorization  file  will  be  necessary,  unless
    this  is  your  first tools release.  If this is the case, consult
    the file release.doc in the distn directory. 
    
 9. To build the  appropriate  mail  system  utilities,  you  need  to
    consult  the  file  msgreadme.1st  in the msgsys directory; follow
    the directions there. 
    
10. You should now be operational. 




                                                  Joe Sventek





































                                 -2-

#-h- readme.fmt      2735  asc  17-feb-83 16:54:23  tools (lblh csam sventek)
.in 0
.rm 70
.pl 60
.fo //-#-/
.he //Fall 1982 DECUS Distribution/
The following steps must be performed to build the Fall 1982 release
of the LBL/Hughes Software Tools package for VMS.

.in +4
.ti -3
1. Edit the file stlognam.com in this distribution directory to reflect
the disk and directories used by the tools.
All of the tools logical names start with
the string "st_", in an attempt to avoid conflicts with all other
software.  The definition for st_node should be replaced with your
node name, and st_timezone should be replaced with the appropriate
three character mnemonic.  Do not worry, the software which uses
the logical name worries about whether it is daylight-savings time
or not, so you won't have to worry about changing the logical name
each April and October.

.ti -3
2. Invoke the modified stlognam.com to set up the environment

.ti -3
3. Create the six known directories (~bin, ~usr, ~tmp, ~lpr, ~msg and
~man) with the appropriate protection, and set default to st_bin.
Consult release.doc for information on the required protection modes for
the directories.

.ti -3
4. Copy the Distn directory files into the current directory, after deleting
all files currently in the directory.
Make sure that the account under which you are running has the following
quotas:
.sp
.in +5
.nf
PRCLM          10
BYTLM       30000
FILLM          75
TQELM          40
PGFLQUOTA   16384
.fi
.in -5
.sp

.ti -3
5. @toolgen
.br
This command file assembles all macro primitives, compiles all fortran
primitives, builds two tools to bootstrap ourselves, and then proceeds
to build the 115 utilities in the package.  This takes a while, so
take a break.
If you answer yes to any of the questions concerning file deletion, toolgen
will delete unneeded files as the processing progresses.
If you delete the object files, a savings of ~2000 disk blocks ensues.
If you delete
the source files as you progress, a savings of ~3700 blocks accrues.
The entire system occupies ~22000 blocks if no files are deleted, or
~16000 blocks if both sources and objects are deleted during the build.

.ti -3
6. Now modify the system startup files to setup the new logical names
and installed images for the next boot.

.ti -3
7. Install the known images using st_bin:tools.ins

.ti -3
8. The required quotas have not changed with this release, so no mucking
with the authorization file will be necessary, unless this is your
first tools release.
If this is the case, consult the file release.doc in the distn directory.

.ti -3
9. To build the appropriate mail system utilities, you need to consult
the file msgreadme.1st in the msgsys directory; follow the directions there.

.ti -4
10. You should now be operational.
.in -4




.ti +50
Joe Sventek
#-h- release.doc    27494  asc  17-feb-83 16:54:26  tools (lblh csam sventek)


                            Release Notes








                      VAX/VMS Software Tools VOS
                                   
                     Fall 1982 DECUS Distribution
                                   
                                   
                            Joseph Sventek
                          Mailstop 50B-3238
                     Lawrence Berkeley Laboratory
                         Berkeley, CA  94720

                                 and

                             David Martin
                           Hughes Aircraft
                            P.O. Box 92426
                        Los Angeles, CA  90009



This  document  describes the VMS implementation of the Software Tools
Virtual Operating System.  For those  new  to  this  game,  the  basic
principles  behind  the  software  are  described  in  the  article "A
Virtual Operating System" which appeared in the September  1980  issue
of  the  Communications  of  the  ACM.   The  contents of this release
supercede all previous releases. 


                                NOTICE

This software  is  provided  on  an  as-is  basis.   No  guarantee  of
performance  or support is stated or implied.  Any errors or omissions
in  the  code  or  documentation  are  regrettable,  but  not  unusual
considering   the   man-power   and  mode  of  distribution.   Written
notification  of  bugs  WITH  fixes  are  appreciated  and   will   be
incorporated into the next release, if possible. 











                                 -1-


                            Release Notes


                      Currently available tools


     Acat - concatenate nested archive entries on standard output
     Admin - administer TCS file. 
     Alist - generate paginated listing of source archive
     Ar - archive file maintainer 
     Args - use standard input as arguments for command
     Asam - generate index for archive file
     Asplit - salvage garbaged archive files
     Axref - cross reference symbols in archive files
     Banner - generate large banner lines
     BarGraph - draw a 0-100% bargraph of integer data
     Box - draw boxes around block structure of RatFor or C programs
     Cat - concatenate and print text files 
     Ccnt - character count
     Cd - change (current) directory
     Ch - make changes in text files 
     Chmod - change mode (protection codes) of file
     Chown - change the ownership of file(s). 
     Cmp - compare two files
     Comm - print lines common to two files
     Cp - copy files
     Cpress - compress input files
     Crt - copy files to terminal a screen at a time
     Crypt - crypt and decrypt standard input
     D - list contents of directory
     Date - print the date
     Dc - desk calculator
     Delta - make an TCS delta
     Detab - convert tabs to spaces
     Diff - isolate differences between files
     E - extended version of "ed" with command editing & history
     Echo - echo command line arguments 
     Ed - line-oriented text editor
     Entab - convert spaces to tabs and spaces
     Esh - extended shell, with intraline editing and history
     Exist - check for the existence of a file
     Expand - uncompress input files
     Fb - search blocks of lines for text patterns
     Fc - fortran compiler
     Fd - fast directory list in sort order
     Field - manipulate fields of data
     Find - search a file for text patterns 
     Form - produce form letter by prompting user for information
     Format - format (roff) text
     Get - get generation from TCS file
     Grep - search file[s] for a pattern
     Hsh - shell with history and editing functions
     Incl - expand included files 


                                 -2-


                            Release Notes


     Intro - list on-line documentation
     Isam - generate index for pseudo-indexed-sequential access
     Kill - kill a running process
     Kwic - make keyword in context index
     Lam - laminate files
     Lcnt - line count
     Ld - loader
     Ll - print line lengths
     Lpr - queue file to printer
     Ls - list contents of directory
     Macro - process macro definitions 
     Man - run off section of users manual
     Mcol - multicolumn formatting
     MkDir - create directories
     Mv - move (or rename) a file
     Number - number lines
     Os - convert backspaces into multiple lines for "printers"
     Pack - pack words into columns
     Pl - print specified lines/pages in a file
     Pr - paginate files to standard output
     Printf - justify fields of data in fixed-width fields
     Prlabl - format labels for printing
     Ps - list process status information
     Pstat - determine status of process
     Pwd - print working directory name on standard output
     Rar - rearrange archive
     Ratfor - RatFor preprocessor
     Rc - RatFor compiler
     Resume - resume a suspended process
     Rev - reverse lines
     Rm - remove files
     Ruler - display ruler on terminal screen
     Sched - a way to repetitively invoke a command
     Sedit - stream editor
     Send - send a message to another user's terminal
     Sepfor - Split FORTRAN programs into multiple files
     Sh - shell (command line interpreter)
     Sleep - cause process to suspend itself for a period of time
     Sort - sort and/or merge text files 
     Spell - find spelling errors
     Split - split a file into pieces
     Suspnd - suspend a running process
     Tail - print last lines of a file
     Tee - copy input to standard output and named files
     Timer - time execution of a process
     Tr - transliterate characters
     Tsort - topologically sort symbols
     Ttt - 3-dimensional tic tac toe
     Txtrpl - perform generalized text replacement
     Ul - convert backspaces into multiple lines for "terminals"


                                 -3-


                            Release Notes


     Uniq - strip adjacent repeated lines from a file
     Unrot - unrotate lines rotated by kwic
     Wc - count lines, words, and characters in files
     Wcnt - (character) word count
     Whereis - locate file in tree based on partial pathname
     Who - show who is on the system
     Xch - extended change utility
     Xfind - entended find utility
     Xref - make a cross reference of symbols

                     Formerly released mail utilities

     Mail - utility for sending mail to local users
     Msg - utility for manipulating message files
     Msplit - utility for salvaging message files
     Postmn - report the presence of mail
     Resolve - resolve mail system user names
     Sndmsg - utility for sending mail to other users
     Users - list valid mail users



               SIG Tape Information on the Distribution


These  tools  are  normally  distributed  on  the SIG Tape as a BACKUP
container file names LBLTOOLS*.   The  directories  in  the  container
file have the following significance:

 [...DISTN] All  of  the  files necessary to build this release of the
            Tools  on  VMS.   Note  that  with  this  release,  it  is
            necessary  for  you  to  build  the images from the source
            files in  this  directory.   Images  and  objects  are  NO
            LONGER  distributed.  The system has successfully built on
            all  versions  of  VMS  >=  3.0.   Toolgen.doc   in   this
            directory  is  an  annotated  dialogue  of a TOOLGEN, with
            user replies in boldface. 

   [...DOC] Archive files containing the format input  files  for  the
            manual entries in sections 2-4 of the manual. 

[...MSGSYS] The   initial   distribution   of   the   Software   Tools
            Distributed Mail System. 

[...OLDMSG] The  TCS  archives  for  the  previously   released   mail
            utilities. 

   [...SRC] The source for the portable VOS utilities. 

   [...VMS] The  source files for the VMS-specific tools and primitive


                                 -4-


                            Release Notes


            functions. 



















































                                 -5-


                            Release Notes


                  On Disk Structure of the Tools VOS


The tools system uses 6 directories which may be  scattered  over  one
or  more  of  your  disks,  with  an optional seventh directory at the
discretion of the site management.  Each known  directory  is  defined
as   a  system  logical  name;  each  logical  name  is  of  the  form
ddnn:[dir...] - i.e. a device AND directory specification. 

st_bin This defines `~bin', the directory  in  which  the  distributed
       images  are  built  and  kept.   This directory should have the
       protection [rwe,rwe,re,re]. 

st_usr Site-specific tools, scripts and other known  files  should  be
       kept here (~usr).  The protection should be [rwe,rwe,re,re]. 

st_tmp The  scratch  files  created by the tools are kept here (~tmp).
       As   such,   the   directory   must   have    the    protection
       [rwe,rwe,rwe,rwe].   In  addition,  all users of the tools must
       have a quota on the disk which st_tmp points to, if quotas  are
       enabled on that disk. 

st_lpr The  files  formatted by the `lpr' tool which are queued to the
       print symbiont are  kept  here  (~lpr).   The  protections  and
       quota considerations are the same as for ~tmp. 

st_msg The  known files for the mail system are kept here (~msg).  The
       protection should be [rwe,rwe,re,re]. 

st_man The  archives  and  indices  used  by  the  `man'  and  `intro'
       utilities  are  kept  here  (~man).   The  protection should be
       [rwe,rwe,re,re]. 

st_src (Optional) The source files  for  the  tools  modified  locally
       should be placed here (~src). 

In addition, the VOS requires two other system logical names to run:

  st_node  -  the  name  of  your  node in a network; if you are not a
  member of a net, pick one that appeals to you. 

  st_timezone - the three  character  mnemonic  for  the  timezone  in
  which  the  machine  is situated.  Only the first character is used,
  as  routines  exist  in  the  library  to  determine  the  state  of
  standard/daylight time. 







                                 -6-


                            Release Notes


Two  other  logical  names  can  be  defined at the discretion of site
management:

  sys_tools - This should be defined as the same value as st_bin.   It
  is only for compatibility with previous releases. 

  st_new_versions  -  If  this  is defined to be the value "YES", then
  the tools will create a new version of a file when writing  a  file.
  This   feature   has   just   been  added,  so  there  may  be  some
  complications with its use.  The logical name can be defined in  any
  of  the  three name tables and have the desired effect.  As such, it
  is an individual option to define it at LBL. 








































                                 -7-


                            Release Notes


                         Runtime requirements

The system logical names described above. 

The file st_bin:tooldef.com defines the tools as  foreign  symbols  so
that  they  can  be  invoked from DCL.  Invocation of the command file
from a system login file guarantees the  symbol  definitions  for  the
tools  for  all  users  when  they  log in.  Alternatively, interested
users  may  invoke  @st_bin:tooldef  in  their  individual   login.com
files. 

Six  of  the  images  need  to be installed with enhanced privilege to
provide full functionality to all users.  They are:

* ps (GROUP,WORLD) - lists valuable information on  processes  in  the
  system. 

* who  (GROUP,WORLD)  - lists who is logged into the system, and other
  info. 

* send (OPER) - inter-terminal write facility that is not specific  to
  any particular type of terminal. 

* sh  (DETACH,CMEXEC)  - the DETACH privilege is required by the shell
  to permit the user to spawn background processes.  If  this  feature
  is  not  supported  locally, then do not install with the privilege.
  The CMEXEC privilege permits  the  shell  to  redefine  the  process
  logical  name  SYS$DISK  at  supervisor  mode when performing a `cd'
  command, such that the device assignment remains  when  leaving  the
  shell.   This  is  done  by  changing  mode  to EXEC, redefining the
  logical name at supervisor mode, and returning to USER mode. 

* esh (DETACH,CMEXEC) - same as for sh. 

* hsh (DETACH,CMEXEC) - same as for sh. 

In addition, if `ed' or `e' are heavily used on  your  system,  it  is
suggested that they be installed /SHARED/OPEN/HEADER_RESIDENT. 

The  file  st_bin:tools.ins  is  a  DCL  command file which causes the
above eight images to be installed with the above privileges, and  can
be invoked during system startup. 










                                 -8-


                            Release Notes


While   the   system   is   being   built  during  TOOLGEN,  the  file
st_bin:sysuaf.mod is generated, which is a DCL command file  to  cause
authorize  to  modify  all  accounts  on  your  system  to reflect the
suggested quota values to effectively use the  tools.   The  suggested
values are:

                           PRCLM         10
                           BYTLM      30000
                           FILLM         75
                           TQELM         40
                           PGFLQUOTA  16384

These  values typically permit a user to have up to 5 processes active
on his behalf.  The most common problem incurred  if  the  quotas  are
insufficient is the error message

                        "Cannot spawn process"

when  attempting  to  invoke  images  from one of the shells.  It is a
good idea to peruse sysuaf.mod and remove accounts from  it  which  do
not need to be modified. 































                                 -9-


                            Release Notes


                        Source File Structure

The  source  code  for  `tool' is contained in a file [...SRC]tool.tcs
(if   the   tool   is   portable   across   operating   systems)    or
[...VMS]tool.tcs  (if  it  is  an VMS-specific tool).  This TCS source
file contains an edit history of all changes made to the source.   The
output  of  the  `get' utility operating on a `.tcs' file results in a
file (tool.w) which is all of the  environment  necessary  to  rebuild
the  tool,  provided  that the VOS is operational.  The tool.w file is
an archive containing:

  1. All of the files "included" by the ratfor source code. 
  2. The ratfor source file, tool.r. 
  3. The format input for the manual entry, tool.fmt. 
  4. And optionally,  any  extra  definition  files  needed  to  build
     alternate versions of the tool (eg. sh => hsh). 

As  an  example,  suppose  that  you  wish  to  change  the subroutine
"module" in "tool".  The suggested scenario is as follows:

   $ !Fetch the file tool.tcs from the appropriate directory in the container
   $ !file on tape into st_src
   $ hsh
   % get ~src/tool.tcs tool.w
   % ar xv tool.w
   % ar xv tool.r module
   % ed module
   (make changes and write file)
   % ar uv tool.r module
   % rc -v tool.r
   % (test out new tool.  repeat last three steps until satisfied.)
   % ed tool.fmt
   (modify writeup to reflect changes)
   % ar uv tool.w tool.r tool.fmt
   % cp tool.exe ~usr/tool.exe
   % delta tool.w ~src/tool.tcs
   (Identify in the comments the reason for the changes,
   and which modules changed.)
   % format tool.fmt >tool
   % ar uv ~man/s1 tool
   % asam <~man/s1 | sort >~man/i1

Placing tool.exe in ~usr  causes  the  shell  to  find  your  modified
version  of  "tool"  rather  than  the  distributed one.  The last two
commands  above  cause  the  manual  entry  for  `tool'  to  correctly
correspond to the utility itself. 






                                 -10-


                            Release Notes


              Source for Primitive and Library Functions

The  source  archive  for  the  primitive and library functions may be
found on [...VMS]rlib.w.  This archive consists of several modules:

1. prim.m - an archive of macro files which are written  in  assembler
   and used by one or more tools.  These routines are VMS-specific. 

2. lib.m  -  assembler  versions of portable ratfor routines which are
   used by one or more tools. 

3. prim.r - archive of ratfor source routines which  are  VMS-specific
   and used by one or more tools. 

4. lib.r   -  an  archive  of  ratfor  archives  of  portable  library
   routines. 

5. other files included by ratfor when processing prim.r. 

To assemble any of the modules in prim.m or lib.m, it is necessary  to
extract the module(s) and assemble them individually

% ar xv prim.m directory.mar; mac/nolist directory

To  modify  one of the routines in prim.r, simply extract it using the
archiver, edit it up, update the archive, and recompile via

% ar xv prim.r dscbld; ed dscbld; ar uv prim.r dscbld
% rc -cv prim.r

To modify one of the routines in lib.r, it  is  necessary  to  perform
two extractions and two updates, as in

% ar xv lib.r arsubs.r
% ar xv arsubs.r aopen
% ed aopen
% ar uv arsubs.r aopen
% rc -cv arsubs.r
% ar uv lib.r arsubs.r

Of  course, after generating new object modules for modified routines,
it is necessary to make a system-specific version  of  st_bin:rlib.olb
in  st_usr,  and  to replace the object module in st_usr:rlib.olb.  It
is also a good idea to avoid replacing the  modified  modules  in  the
archives  until  you  are  sure  that  they  work.   Writeups  on  all
primitive routines which are to  be  visible  to  programmers  may  be
found  using  the  `man' command on section 2 of the manual.  Writeups
for library routines are in section 3. 




                                 -11-


                            Release Notes


                        Manual entry structure

In order to simplify the generation of manual  entries  for  utilities
and  functions,  a  set  of  `format'  macros  are defined in the file
`~bin/manhdr'.  For the correct working of the `intro' utility, it  is
necessary  that  the  first three lines of any site-dependent writeups
consist of

.so ~bin/manhdr
.hd <name> (<section>) (<date>)
one line description of the tool or function

where <name> is  replaced  by  the  name  of  the  function  or  tool,
<section>  is  the  section of the manual this entry is for and <date>
is the date the document was created.  The .hd macro  guarantees  that
the  margins  are  correct,  the  header  line  on the manual pages is
consistent with the software tools standard, and that

NAME
     name - one line description of the tool or function

appears in the writeup.  This  particular  landmark  is  used  by  the
intro  utility  to  list  the one-liners for the known entries in each
section.  The best method is to peruse the macros in  ~bin/manhdr  and
to look at some of the writeups supplied with the system. 



























                                 -12-


                            Release Notes


               Legal file specifications for the tools

The  following  lists  legal  VMS  file  specs for the tools and valid
tools pathname equivalents:

DEC format                      Path format
------------------------------- -----------------------------------
file.typ.ver                    file.typ.ver
[dir]file.typ.ver               /dir/file.typ.ver
[dir.sub...]file.typ.ver        /dir/sub/.../file.typ.ver
[.sub]file.typ.ver              sub/file.typ.ver
[-.sub]file.typ.ver             \sub/file.typ.ver
ddnn:[dir]file.typ.ver          /ddnn/dir/file.typ.ver
host::ddnn:[dir]file.typ.verp   /@host/ddnn/dir/file.typ.ver
?                               ~name/file.typ.ver
?                               ~/file.typ.ver

In all cases, the pathname equivalent consists of replacing  the  many
and  varied VMS delimiters by slashes, which is typically a lower-case
character on all terminals and is normally easy to  strike  using  the
right  pinky.   In addition, the backslash (\) is used to go up in the
directory  tree,  equivalent  to  DEC's  [-]  construct.   The   ~name
capability  is  available for the seven known directories of the tools
system, ~bin, ~usr, ~tmp, ~lpr, ~msg, ~man and ~src.  They permit  one
to  write  portable  scripts  for utilities across different operating
systems.  Also, ~user, where `user' is the login name  of  a  user  on
the system maps onto that user's home directory. 

The ~/ is shorthand for the user's home directory. 

In  utilities  which  manipulate directories, all of the above formats
are valid when the file.typ.ver trailer is removed. 




















                                 -13-


                            Release Notes


                 Changes for the Spring 1982 Release


                          Modified Utilities

* `dspc' has been removed.   The  functionality  is  now  provided  by
  `cat' using the "-v" flag. 

* `roff'   is   no  longer  distributed,  having  been  superceded  by
  `format'. 

* `crt' now reads the terminal in rare mode. 

* `ed' and `e' accept several new commands.  See  the  manual  entries
  for details. 

* `fb',  `find'  and  `grep'  understand  the  flag  "-i" which causes
  pattern matches to be case insensitive. 

* `man' has been rewritten to support sections of the  manual  and  to
  page the output to the user's terminal. 

* `ratfor'  understands character constants of the form 'c', as in the
  C programming language.  As such, the apostrophe (') can  no  longer
  be  used  to  delimit  hollerith  strings  and  strings  in `string'
  declarations.  Escaped characters may  be  expressed  as  '@c'  (eg.
  '@n'  ==  NEWLINE).  The version of ratfor distributed in the Spring
  1981 release is provided as `oldratfor' to permit conversion of  the
  source  code at the programmer's convenience.  To aid the conversion
  process, an utility `txtrpl' is provided such that

            txtrpl <old_ratfor_file >new_ratfor_file ~bin/pf

  will  convert  all  the  missing  manifest  constants  to  character
  constants.   Of  course,  if  `old_ratfor_file'  was an archive, you
  will need to salvage `new_ratfor_file' before using it. 

* `rm' understands a flag "-i" which causes the file  removal  process
  to be interactive. 













                                 -14-


                            Release Notes


                 Changes for the Spring 1982 Release


                         Modified primitives

* remove - remove a file

  old:  call remove(file)
  new:  stat = remove(file)

* note - note current address of file pointer

  old:  call markl(fd, addr)
  new:  stat = note(addr, fd)

* homdir - determine user's home directory

  old:  call homdir(buf)
  new:  call homdir(buf, dtype)

* mailid - return the user's mail identification string

  Comment  strings  inside  of  parentheses  ()  now  are  returned by
  mailid.  If your code does not  expect  any  blanks  in  the  buffer
  returned, you will have to add the following code

  call mailid(user)
  i = index(user, ' ')
  if (i > 0)
  user(i) = EOS






















                                 -15-


                            Release Notes


                  Changes for the Fall 1982 Release


                          Modified Utilities

* Bugs  fixed  in  `fb',  `format',  `crt',  `msg', `oldratfor', `os',
  `send' and `xch'.  No change in functionality. 

* `rc', `fc' and `ld' modified to  understand  the  "-m"  flag,  which
  indicates  that  a  load  map  is  to  be  generated.   In addition,
  specifying a "-d" causes the FORTRAN source  file  to  be  retained,
  for  use  with  the  symbolic  debugger,  and  no  longer forces the
  generation of a load map. 

* `man' will now report all known manual sections when invoked with  a
  bare "-s" option. 

* `ratfor'  has  had  several  bugs  fixed,  most  notably the integer
  overflow problem  when  gobbling  large  numeric  strings.   Strings
  quoted  with  apostrophes  (') will now be handled as before, except
  for those of the  form  'c'  and  '@c'.   A  "-n"  flag  will  cause
  `ratfor' to forego the loading of the symbols file. 

* `sh'  now  understands  several  new  internal  commands,  including
  aliases  and  parameters.   Consult  the  manual   page   for   more
  information.    Additionally,  commented  commands  in  scripts  are
  handled differently.  Formerly, if a '#' was the first character  of
  a  line, the entire line was treated as a comment.  Now, if the verb
  of a command is  a  '#',  then  that  command  is  a  comment.   For
  example:

  echo this; # this is a comment; echo that

  is valid and will result in the output

  this
  that

* `form'  now  can  be informed that it is to read a multi-line answer
  to a prompt without having to escape the end  of  each  intermediate
  line.  If the prompt is of the form
  
  <-string>
  
  then  `form'  will  prompt with "string" and read the response until
  it receives a line consisting of a bare period '.'. 

* `tail' has had  its  internal  buffer  increased  to  handle  larger
  screen sizes. 



                                 -16-


                            Release Notes


* `txtrpl'  has  been taught to NOT perform string replacements inside
  of ratfor quoted strings and comments.  An additional  pattern  file
  (fmtpf)   is  available  in  ~bin  to  permit  `vgrind'-like  pretty
  printing of ratfor source files. 

* `ps' and `who' have had two additional pieces of  information  added
  to  the  verbose  output  of  the utilities.  The process's base and
  current priorities is displayed. 


                             New Utilities

* `printf' permits users to display fields of input data justified  in
  fixed-width   output   fields.    See   the  manual  page  for  more
  information. 





































                                 -17-


                            Release Notes


                       Modified Library Routines

* `stake' had a typographical error fixed. 

* When files are  opened  using  `open'  or  `create',  their  sharing
  attributes will differ as follows:

  1. When  a  file  opened at READ access, one WRITER is permitted, as
     well as multiple other READERS. 
  2. When a file is opened  at  WRITE  or  APPEND  access,  only  READ
     access is permitted to other processes. 

  This  is  especially  crucial  for  the correct workings of the mail
  system.  Local tools need only to relink (via  an  `ld'  invocation)
  to  avail  themselves of this sharing capability.  Formerly, READING
  and WRITING were not permitted simultaneously on the same file. 

* `enbint' has been  modified  to  complain,  rather  than  abort  the
  process,  when it is unable to enable AST's.  This permits the shell
  to run in batch queues. 

* Internal tables for some of  the  primitive  support  routines  have
  been  increased  in size.  The most notable situation where this was
  needed was for verbose directory listings, were a  routine  `resuic'
  was used to resolve UIC into owner name. 


                          New Library Routines

* A  function  `rmdef'  has been added to permit a (name,defn) pair to
  be removed from a symbol table.  Consult the manual  page  for  more
  information. 




















                                 -18-

#-h- release.fmt    23806  asc  17-feb-83 16:54:34  tools (lblh csam sventek)
.pl 60
.in 0
.rm 70
.he //Release Notes/
.fo //-#-/

.sp 5
.ce 100
VAX/VMS Software Tools VOS

Fall 1982 DECUS Distribution


Joseph Sventek
Mailstop 50B-3238
Lawrence Berkeley Laboratory
Berkeley, CA  94720
.sp
and
.sp
David Martin
Hughes Aircraft
P.O. Box 92426
Los Angeles, CA  90009
.ce 0
.sp 3
This document describes the VMS implementation of the Software Tools
Virtual Operating System.
For those new to this game, the basic principles behind the software are
described in the article "A Virtual Operating System" which appeared in the
September 1980 issue of the Communications of the ACM.
The contents of this release supercede all previous releases.


.ce
NOTICE

This software is provided on an as-is basis.  No guarantee of performance
or support is stated or implied.  Any errors or omissions in the code or
documentation are regrettable, but not unusual considering the man-power
and mode of distribution.  Written notification of bugs WITH fixes are
appreciated and will be incorporated into the next release, if possible.
.bp
.ce
Currently available tools
.sp 2
.in +5
.nf
Acat - concatenate nested archive entries on standard output
Admin - administer TCS file. 
Alist - generate paginated listing of source archive
Ar - archive file maintainer 
Args - use standard input as arguments for command
Asam - generate index for archive file
Asplit - salvage garbaged archive files
Axref - cross reference symbols in archive files
Banner - generate large banner lines
BarGraph - draw a 0-100% bargraph of integer data
Box - draw boxes around block structure of RatFor or C programs
Cat - concatenate and print text files 
Ccnt - character count
Cd - change (current) directory
Ch - make changes in text files 
Chmod - change mode (protection codes) of file
Chown - change the ownership of file(s). 
Cmp - compare two files
Comm - print lines common to two files
Cp - copy files
Cpress - compress input files
Crt - copy files to terminal a screen at a time
Crypt - crypt and decrypt standard input
D - list contents of directory
Date - print the date
Dc - desk calculator
Delta - make an TCS delta
Detab - convert tabs to spaces
Diff - isolate differences between files
E - extended version of "ed" with command editing & history
Echo - echo command line arguments 
Ed - line-oriented text editor
Entab - convert spaces to tabs and spaces
Esh - extended shell, with intraline editing and history
Exist - check for the existence of a file
Expand - uncompress input files
Fb - search blocks of lines for text patterns
Fc - fortran compiler
Fd - fast directory list in sort order
Field - manipulate fields of data
Find - search a file for text patterns 
Form - produce form letter by prompting user for information
Format - format (roff) text
Get - get generation from TCS file
Grep - search file[s] for a pattern
Hsh - shell with history and editing functions
Incl - expand included files 
Intro - list on-line documentation
Isam - generate index for pseudo-indexed-sequential access
Kill - kill a running process
Kwic - make keyword in context index
Lam - laminate files
Lcnt - line count
Ld - loader
Ll - print line lengths
Lpr - queue file to printer
Ls - list contents of directory
Macro - process macro definitions 
Man - run off section of users manual
Mcol - multicolumn formatting
MkDir - create directories
Mv - move (or rename) a file
Number - number lines
Os - convert backspaces into multiple lines for "printers"
Pack - pack words into columns
Pl - print specified lines/pages in a file
Pr - paginate files to standard output
Printf - justify fields of data in fixed-width fields
Prlabl - format labels for printing
Ps - list process status information
Pstat - determine status of process
Pwd - print working directory name on standard output
Rar - rearrange archive
Ratfor - RatFor preprocessor
Rc - RatFor compiler
Resume - resume a suspended process
Rev - reverse lines
Rm - remove files
Ruler - display ruler on terminal screen
Sched - a way to repetitively invoke a command
Sedit - stream editor
Send - send a message to another user's terminal
Sepfor - Split FORTRAN programs into multiple files
Sh - shell (command line interpreter)
Sleep - cause process to suspend itself for a period of time
Sort - sort and/or merge text files 
Spell - find spelling errors
Split - split a file into pieces
Suspnd - suspend a running process
Tail - print last lines of a file
Tee - copy input to standard output and named files
Timer - time execution of a process
Tr - transliterate characters
Tsort - topologically sort symbols
Ttt - 3-dimensional tic tac toe
Txtrpl - perform generalized text replacement
Ul - convert backspaces into multiple lines for "terminals"
Uniq - strip adjacent repeated lines from a file
Unrot - unrotate lines rotated by kwic
Wc - count lines, words, and characters in files
Wcnt - (character) word count
Whereis - locate file in tree based on partial pathname
Who - show who is on the system
Xch - extended change utility
Xfind - entended find utility
Xref - make a cross reference of symbols
.sp
.ce
Formerly released mail utilities
.sp
Mail - utility for sending mail to local users
Msg - utility for manipulating message files
Msplit - utility for salvaging message files
Postmn - report the presence of mail
Resolve - resolve mail system user names
Sndmsg - utility for sending mail to other users
Users - list valid mail users
.fi
.in -5
.sp 3
.ce
SIG Tape Information on the Distribution
.sp 2
These tools are normally distributed on the SIG Tape as a BACKUP container
file names LBLTOOLS*.
The directories in the container file have the following significance:
.sp
.in +12
.ti -11
[...DISTN] All of the files necessary to build this release of the
Tools on VMS.
Note that with this release, it is necessary for you to build the images
from the source files in this directory.
Images and objects are NO LONGER distributed.
The system has successfully built on all versions of VMS >= 3.0.
Toolgen.doc in this directory is an annotated dialogue of a TOOLGEN, with
user replies in boldface.
.sp
.ti -9
[...DOC] Archive files containing the format input files for the manual
entries in sections 2-4 of the manual.
.sp
.ti -12
[...MSGSYS] The initial distribution of the Software Tools Distributed
Mail System.
.sp
.ti -12
[...OLDMSG] The TCS archives for the previously released mail utilities.
.sp
.ti -9
[...SRC] The source for the portable VOS utilities.
.sp
.ti -9
[...VMS] The source files for the VMS-specific tools and primitive functions.
.in -12
.bp
.ce
On Disk Structure of the Tools VOS
.sp 2
The tools system uses 6 directories which may be scattered over one or more
of your disks, with an optional seventh directory at the discretion of the
site management.
Each known directory is defined as a system logical name;
each logical name is of the form ddnn:[dir...] - i.e. a device AND
directory specification.
.sp
.in +7
.ti -7
st_bin This defines `~bin', the directory in which the distributed images
are built and kept.  This directory should have the protection
[rwe,rwe,re,re].
.sp
.ti -7
st_usr Site-specific tools, scripts and other known files should be kept
here (~usr).
The protection should be [rwe,rwe,re,re].
.sp
.ti -7
st_tmp The scratch files created by the tools are kept here (~tmp).
As such, the directory must have the protection [rwe,rwe,rwe,rwe].
In addition, all users of the tools must have a quota on the disk which
st_tmp points to, if quotas are enabled on that disk.
.sp
.ti -7
st_lpr The files formatted by the `lpr' tool which are queued to the
print symbiont are kept here (~lpr).
The protections and quota considerations are the same as for ~tmp.
.sp
.ti -7
st_msg The known files for the mail system are kept here (~msg).
The protection should be [rwe,rwe,re,re].
.sp
.ti -7
st_man The archives and indices used by the `man' and `intro' utilities
are kept here (~man).
The protection should be [rwe,rwe,re,re].
.sp
.ti -7
st_src (Optional) The source files for the tools modified locally should
be placed here (~src).
.sp
.in -7
In addition, the VOS requires two other system logical names to run:
.sp
.in +2
st_node - the name of your node in a network; if you are not a member of a
net, pick one that appeals to you.
.sp
st_timezone - the three character mnemonic for the timezone in which the
machine is situated.  Only the first character is used, as routines exist
in the library to determine the state of standard/daylight time.
.in -2
.bp
Two other logical names can be defined at the discretion of site management:
.sp
.in +2
sys_tools - This should be defined as the same value as st_bin.
It is only for compatibility with previous releases.
.sp
st_new_versions - If this is defined to be the value "YES", then the
tools will create a new version of a file when writing a file.
This feature has just been added, so there may be some complications with
its use.
The logical name can be defined in any of the three name tables and have
the desired effect.
As such, it is an individual option to define it at LBL.
.in -2
.bp
.ce
Runtime requirements
.sp
The system logical names described above.
.sp
The file st_bin:tooldef.com defines the tools as foreign symbols
so that they can be invoked from DCL.
Invocation of the command file from a system login file guarantees the
symbol definitions for the tools for all users when they log in.
Alternatively, interested users may invoke @@st_bin:tooldef in their
individual login.com files.
.sp
Six of the images need to be installed with enhanced privilege to provide
full functionality to all users.  They are:
.sp
.in +2
.ti -2
* ps (GROUP,WORLD) - lists valuable information on processes in the system.
.sp
.ti -2
* who (GROUP,WORLD) - lists who is logged into the system, and other info.
.sp
.ti -2
* send (OPER) - inter-terminal write facility that is not specific to any
particular type of terminal.
.sp
.ti -2
* sh (DETACH,CMEXEC) - the DETACH privilege is required by the shell to permit
the user to spawn background processes.
If this feature is not supported locally, then do not install with the
privilege.
The CMEXEC privilege permits the shell to redefine the process logical
name SYS$DISK at supervisor mode when performing a `cd' command, such that the
device assignment remains when leaving the shell.
This is done by changing mode to EXEC, redefining the logical name at
supervisor mode, and returning to USER mode.
.sp
.ti -2
* esh (DETACH,CMEXEC) - same as for sh.
.sp
.ti -2
* hsh (DETACH,CMEXEC) - same as for sh.
.sp
.in -2
In addition, if `ed' or `e' are heavily used on your system, it is
suggested that they be installed /SHARED/OPEN/HEADER_RESIDENT.
.sp
The file st_bin:tools.ins is a DCL command file which causes the above
eight images to be installed with the above privileges, and can be
invoked during system startup.
.bp
While the system is being built during TOOLGEN, the file st_bin:sysuaf.mod
is generated, which is a DCL command file to cause authorize to modify
all accounts on your system to reflect the suggested quota values to
effectively use the tools.
The suggested values are:
.sp
.ce 100
PRCLM         10
BYTLM      30000
FILLM         75
TQELM         40
PGFLQUOTA  16384
.ce 0
.sp
These values typically permit a user to have up to 5 processes active on his
behalf.
The most common problem incurred if the quotas are insufficient is the error
message
.sp
.ce
"Cannot spawn process"
.sp
when attempting to invoke images from one of the shells.
It is a good idea to peruse sysuaf.mod and remove accounts from it which
do not need to be modified.
.bp
.ce
Source File Structure
.sp
The source code for `tool' is contained in a file [...SRC]tool.tcs (if
the tool is portable across operating systems) or [...VMS]tool.tcs
(if it is an VMS-specific tool).
This TCS source file contains an edit history of all changes made
to the source.
The output of the `get' utility operating on a `.tcs' file
results in a file (tool.w) which
is all of the environment necessary to rebuild the tool,
provided that the VOS is operational.  The tool.w file is an archive
containing:
.sp
.in +5
.ti -3
1. All of the files "included" by the ratfor source code.
.ti -3
2. The ratfor source file, tool.r.
.ti -3
3. The format input for the manual entry, tool.fmt.
.ti -3
4. And optionally, any extra definition files needed to build alternate
versions of the tool (eg. sh => hsh).
.sp
.in -5
As an example, suppose that you wish to change the subroutine "module"
in "tool".  The suggested scenario is as follows:
.sp
.in +3
.nf
$ !Fetch the file tool.tcs from the appropriate directory in the container
$ !file on tape into st_src
$ hsh
% get ~src/tool.tcs tool.w
% ar xv tool.w
% ar xv tool.r module
% ed module
(make changes and write file)
% ar uv tool.r module
% rc -v tool.r
% (test out new tool.  repeat last three steps until satisfied.)
% ed tool.fmt
(modify writeup to reflect changes)
% ar uv tool.w tool.r tool.fmt
% cp tool.exe ~usr/tool.exe
% delta tool.w ~src/tool.tcs
(Identify in the comments the reason for the changes,
and which modules changed.)
% format tool.fmt >tool
% ar uv ~man/s1 tool
% asam <~man/s1 | sort >~man/i1
.fi
.in -3
.sp
Placing tool.exe in ~usr causes the shell to find your modified version of "tool"
rather than the distributed one.
The last two commands above cause the manual entry for `tool' to
correctly correspond to the utility itself.
.bp
.ce
Source for Primitive and Library Functions
.sp
The source archive for the primitive and library functions may be found
on [...VMS]rlib.w.
This archive consists of several modules:
.sp
.in +3
.ti -3
1. prim.m - an archive of macro files which are written in assembler and
used by one or more tools.
These routines are VMS-specific.
.sp
.ti -3
2. lib.m - assembler versions of portable ratfor routines which are used
by one or more tools.
.sp
.ti -3
3. prim.r - archive of ratfor source routines which are VMS-specific and
used by one or more tools.
.sp
.ti -3
4. lib.r - an archive of ratfor archives of portable library routines.
.sp
.ti -3
5. other files included by ratfor when processing prim.r.
.sp
.in -3
To assemble any of the modules in prim.m or lib.m, it is necessary to
extract the module(s) and assemble them individually
.sp
% ar xv prim.m directory.mar; mac/nolist directory
.sp
To modify one of the routines in prim.r, simply extract it using the
archiver, edit it up, update the archive, and recompile via
.sp
% ar xv prim.r dscbld; ed dscbld; ar uv prim.r dscbld
.br
% rc -cv prim.r
.sp
To modify one of the routines in lib.r, it is necessary to perform two
extractions and two updates, as in
.sp
.nf
% ar xv lib.r arsubs.r
% ar xv arsubs.r aopen
% ed aopen
% ar uv arsubs.r aopen
% rc -cv arsubs.r
% ar uv lib.r arsubs.r
.fi
.sp
Of course, after generating new object modules for modified routines, it
is necessary to make a system-specific version of st_bin:rlib.olb in
st_usr, and to
replace the object module in st_usr:rlib.olb.
It is also a good idea to avoid replacing the modified modules in the
archives until you are sure that they work.
Writeups on all primitive routines which are to be visible to programmers
may be found using the `man' command on section 2 of the manual.
Writeups for library routines are in section 3.
.bp
.ce
Manual entry structure
.sp
In order to simplify the generation of manual entries for utilities and
functions, a set of `format' macros are defined in the file `~bin/manhdr'.
For the correct working of the `intro' utility, it is necessary that the
first three lines of any site-dependent writeups consist of
.sp
.nf
.cc *
.so ~bin/manhdr
.hd <name> (<section>) (<date>)
one line description of the tool or function
*cc .
.fi

where <name> is replaced by the name of the function or tool, <section>
is the section of the manual this entry is for and <date> is
the date the document was created.
The .hd macro guarantees that the margins are correct, the header line
on the manual pages is consistent with the software tools standard, and
that
.sp
.nf
NAME
     name - one line description of the tool or function
.sp
.fi
appears in the writeup.  This particular landmark is used by the intro
utility to list the one-liners for the known entries in each section.
The best method is to peruse the macros in ~bin/manhdr and to look at some
of the writeups supplied with the system.
.bp
.ce
Legal file specifications for the tools
.sp
The following lists legal VMS file specs for the tools and valid tools
pathname equivalents:
.sp
.nf
DEC format                      Path format
------------------------------- -----------------------------------
file.typ.ver                    file.typ.ver
[dir]file.typ.ver               /dir/file.typ.ver
[dir.sub...]file.typ.ver        /dir/sub/.../file.typ.ver
[.sub]file.typ.ver              sub/file.typ.ver
[-.sub]file.typ.ver             \sub/file.typ.ver
ddnn:[dir]file.typ.ver          /ddnn/dir/file.typ.ver
host::ddnn:[dir]file.typ.verp   /@host/ddnn/dir/file.typ.ver
?                               ~name/file.typ.ver
?                               ~/file.typ.ver
.fi
.sp
In all cases, the pathname equivalent consists of replacing the many
and varied VMS delimiters by slashes, which is typically a lower-case
character on all terminals and is normally easy to strike using the
right pinky.
In addition, the backslash (\) is used to go up in the directory
tree, equivalent to DEC's [-] construct.
The ~name capability is available for the seven known directories of the
tools system, ~bin, ~usr, ~tmp, ~lpr, ~msg, ~man and ~src.
They permit one to write portable scripts for utilities across different
operating systems.
Also, ~user, where `user' is the login name of a user on the system
maps onto that user's home directory.

The ~/ is shorthand for the user's home directory.

In utilities which manipulate directories, all of the above formats are
valid when the file.typ.ver trailer is removed.
.bp
.ce
Changes for the Spring 1982 Release
.sp 2
.ce
Modified Utilities
.sp
.in +2
.ti -2
* `dspc' has been removed.  The functionality is now provided by `cat' using
the "-v" flag.
.sp
.ti -2
* `roff' is no longer distributed, having been superceded by `format'.
.sp
.ti -2
* `crt' now reads the terminal in rare mode.
.sp
.ti -2
* `ed' and `e' accept several new commands.  See the manual entries for details.
.sp
.ti -2
* `fb', `find' and `grep' understand the flag "-i" which causes pattern
matches to be case insensitive.
.sp
.ti -2
* `man' has been rewritten to support sections of the manual and to page
the output to the user's terminal.
.sp
.ti -2
* `ratfor' understands character constants of the form 'c', as in the C
programming language.
As such, the apostrophe (') can no longer be used to delimit hollerith
strings and strings in `string' declarations.
Escaped characters may be expressed as '@@c' (eg. '@@n' == NEWLINE).
The version of ratfor distributed in the Spring 1981 release is provided
as `oldratfor' to permit conversion of the source code at the programmer's
convenience.
To aid the conversion process, an utility `txtrpl' is provided such that
.sp
.ce
txtrpl <old_ratfor_file >new_ratfor_file ~bin/pf
.sp
will convert all the missing manifest constants to character constants.
Of course, if `old_ratfor_file' was an archive, you will need to salvage
`new_ratfor_file' before using it.
.sp
.ti -2
* `rm' understands a flag "-i" which causes the file removal process to be
interactive.
.in -2
.bp
.ce 100
Changes for the Spring 1982 Release
.sp 2
Modified primitives
.ce 0
.sp
.in +2
.ti -2
* remove - remove a file
.sp
old:  call remove(file)
.br
new:  stat = remove(file)
.sp
.ti -2
* note - note current address of file pointer
.sp
old:  call markl(fd, addr)
.br
new:  stat = note(addr, fd)
.sp
.ti -2
* homdir - determine user's home directory
.sp
old:  call homdir(buf)
.br
new:  call homdir(buf, dtype)
.sp
.ti -2
* mailid - return the user's mail identification string
.sp
Comment strings inside of parentheses () now are returned by mailid.
If your code does not expect any blanks in the buffer returned, you will
have to add the following code
.sp
.nf
call mailid(user)
i = index(user, ' ')
if (i > 0)
  user(i) = EOS
.fi
.in -2
.bp
.ce
Changes for the Fall 1982 Release
.sp 2
.ce
Modified Utilities
.sp
.in +2
.ti -2
* Bugs fixed in `fb', `format', `crt', `msg', `oldratfor', `os',
`send' and `xch'.
No change in functionality.
.sp
.ti -2
* `rc', `fc' and `ld' modified to understand the "-m" flag, which indicates
that a load map is to be generated.
In addition, specifying a "-d" causes the FORTRAN source file to be retained,
for use with the symbolic debugger, and no longer forces the generation of
a load map.
.sp
.ti -2
* `man' will now report all known manual sections when invoked with a bare
"-s" option.
.sp
.ti -2
* `ratfor' has had several bugs fixed, most notably the integer overflow
problem when gobbling large numeric strings.
Strings quoted with apostrophes (') will now be handled as before, except
for those of the form 'c' and '@c'.
A "-n" flag will cause `ratfor' to forego the loading of the symbols file.
.sp
.ti -2
* `sh' now understands several new internal commands, including aliases
and parameters.
Consult the manual page for more information.
Additionally, commented commands in scripts are handled differently.
Formerly, if a '#' was the first character of a line, the entire line
was treated as a comment.
Now, if the verb of a command is a '#', then that command is a comment.
For example:
.sp
echo this; # this is a comment; echo that
.sp
is valid and will result in the output
.sp
this
.br
that
.sp
.ti -2
* `form' now can be informed that it is to read a multi-line answer to a
prompt without having to escape the end of each intermediate line.
If the prompt is of the form

<-string>

then `form' will prompt with "string" and read the response until it
receives a line consisting of a bare period '.'.
.sp
.ti -2
* `tail' has had its internal buffer increased to handle larger screen sizes.
.sp
.ti -2
* `txtrpl' has been taught to NOT perform string replacements inside
of ratfor quoted strings and comments.
An additional pattern file (fmtpf) is available in ~bin to permit
`vgrind'-like pretty printing of ratfor source files.
.sp
.ti -2
* `ps' and `who' have had two additional pieces of information added to
the verbose output of the utilities.
The process's base and current priorities is displayed.
.sp 2
.ce
New Utilities
.sp
.ti -2
* `printf' permits users to display fields of input data justified in
fixed-width output fields.
See the manual page for more information.
.bp
.ce
Modified Library Routines
.sp
.ti -2
* `stake' had a typographical error fixed.
.sp
.ti -2
* When files are opened using `open' or `create', their sharing attributes
will differ as follows:
.sp
.in +3
.ti -3
1. When a file opened at READ access, one WRITER is permitted, as well as
multiple other READERS.
.ti -3
2. When a file is opened at WRITE or APPEND access, only READ access is
permitted to other processes.
.in -3
.sp
This is especially crucial for the correct workings of the mail system.
Local tools need only to relink (via an `ld' invocation) to avail themselves
of this sharing capability.
Formerly, READING and WRITING were not permitted simultaneously on the
same file.
.sp
.ti -2
* `enbint' has been modified to complain, rather than abort the process,
when it is unable to enable AST's.
This permits the shell to run in batch queues.
.sp
.ti -2
* Internal tables for some of the primitive support routines have been
increased in size.
The most notable situation where this was needed was for verbose directory
listings, were a routine `resuic' was used to resolve UIC into owner name.
.sp 2
.ce
New Library Routines
.sp
.ti -2
* A function `rmdef' has been added to permit a (name,defn) pair to
be removed from a symbol table.
Consult the manual page for more information.
#-h- revlevels.s82   3417  asc  17-feb-83 16:54:40  tools (lblh csam sventek)
The following lists the TCS versions which were distributed with
the spring 1982 release of the Software Tools VOS.

acat            Version # 1.1
addr            Version # 1.1
admin           Version # 1.1
alist           Version # 1.2
ar              Version # 1.1
args            Version # 1.1
asam            Version # 1.1
asplit          Version # 1.1
axref           Version # 1.1
banner          Version # 1.1
bargraph        Version # 1.1
box             Version # 1.1
cat             Version # 1.2
ccnt            Version # 1.1
cd              Version # 1.1
ch              Version # 1.1
chmod           Version # 1.1
chown           Version # 1.1
cmp             Version # 1.1
comm            Version # 1.1
cp              Version # 1.1
cpress          Version # 1.1
crt             Version # 1.2
crypt           Version # 1.1
date            Version # 1.1
dc              Version # 1.1
delta           Version # 1.1
detab           Version # 1.1
diff            Version # 1.2
echo            Version # 1.1
ed              Version # 1.2
entab           Version # 1.1
exist           Version # 1.1
expand          Version # 1.1
fb              Version # 1.1
fc              Version # 1.1
fd              Version # 1.1
field           Version # 1.1
find            Version # 1.1
form            Version # 1.1
format          Version # 1.2
get             Version # 1.1
grep            Version # 1.1
incl            Version # 1.1
intro           Version # 1.3
isam            Version # 1.1
kill            Version # 1.1
kwic            Version # 1.1
lam             Version # 1.1
lcnt            Version # 1.1
ld              Version # 1.1
ll              Version # 1.1
lpr             Version # 1.1
ls              Version # 1.2
macro           Version # 1.1
mail            Version # 1.3
man             Version # 1.3
mcol            Version # 1.1
mkdir           Version # 1.1
msg             Version # 1.2
msplit          Version # 1.1
mv              Version # 1.1
number          Version # 1.1
oldratfor       Version # 1.1
os              Version # 1.1
pack            Version # 1.1
pl              Version # 1.1
postmn          Version # 1.1
pr              Version # 1.1
prlabl          Version # 1.1
ps              Version # 1.3
pstat           Version # 1.1
pwd             Version # 1.1
rar             Version # 1.1
ratfor          Version # 1.4
rc              Version # 1.1
resolve         Version # 1.1
resume          Version # 1.1
rev             Version # 1.1
rm              Version # 1.2
ruler           Version # 1.1
sched           Version # 1.1
sedit           Version # 1.1
send            Version # 1.1
sepfor          Version # 1.1
sh              Version # 1.2
sleep           Version # 1.1
sndmsg          Version # 1.3
sort            Version # 1.1
spell           Version # 1.1
split           Version # 1.1
suspnd          Version # 1.1
tail            Version # 1.1
tee             Version # 1.1
timer           Version # 1.1
tr              Version # 1.1
tsort           Version # 1.1
ttt             Version # 1.1
txtrpl          Version # 1.1
ul              Version # 1.1
uniq            Version # 1.1
unrot           Version # 1.1
users           Version # 1.1
wc              Version # 1.1
wcnt            Version # 1.1
whereis         Version # 1.1
who             Version # 1.3
xch             Version # 1.1
xfind           Version # 1.1
xref            Version # 1.1
#-h- stlognam.com     461  asc  31-jul-83 12:02:48  tools (lblh csam sventek)
$ define/system st_bin dba0:[tools.bin]
$ define/system st_usr dba0:[tools.usr]
$ define/system st_tmp dba0:[tools.tmp]
$ define/system st_lpr dba0:[tools.lpr]
$ define/system st_msg dba0:[tools.msg]
$ define/system st_man dba0:[tools.man]
$ define/system st_src dba0:[tools.src]
$ define/system st_node node_name
$ define/system st_timezone pst
$ define/system rlibshare st_bin:rlibshare.exe
$ define/system sys_tools st_bin:
$ define/system tools_usr st_usr:
#-h- syslog.com       132  asc  22-dec-82 19:51:35  tools (lblh csam sventek)
$ @sys$manager:logdef
$ type sys$system:notice.txt
$ postmn
$ exist:==$st_bin:exist
$ exist login.com
$ if $STATUS.eq.1 then @login
#-h- sysuaf.eds       698  asc  22-dec-82 19:51:35  tools (lblh csam sventek)
r ~msg/address
#
# this ed script converts the ~msg/address file into a DCL command file which
# runs authorize to update each account to allow the tools to run.  the
# results are written to a file sysuaf.mod.  this ed script is invoked by
# toolgen.com during the original configuration of the system.
#
#
# eliminate everything after the user name
#
g/%/s/ ?*$//
#
# add the default account at the top
#
0a
default
.
#
# now modify each line to update the account
#
g/%/s//MODIFY /
g/$/s::/PRCLM=10/BYTLM=30000/TQELM=40/PGFL=5120/FILLM=75:
#
# now add headers and trailers for DCL command file
#
1i
$ SET DEF SYS$SYSTEM
$ RUN AUTHORIZE
.
$a
LIST
EXIT
$ SET DEF SYS_TOOLS
.
w st_bin:sysuaf.mod
q
#-h- tooldef.com     2555  asc  07-aug-83 22:34:08  tools (lblh csam sventek)
$ acat:==$st_bin:acat
$ admin:==$st_bin:admin
$ alist:==$st_bin:alist
$ apropos:==$st_bin:apropos
$ ar:==$st_bin:ar
$ args:==$st_bin:args
$ asam:==$st_bin:asam
$ asplit:==$st_bin:asplit
$ axref:==$st_bin:axref
$ banner:==$st_bin:banner
$ bargraph:==$st_bin:bargraph
$ biged:==$st_bin:biged.exe
$ box:==$st_bin:box
$ cat:==$st_bin:cat
$ ccnt:==$st_bin:ccnt
$ ch:==$st_bin:ch
$ chmod:==$st_bin:chmod
$ chown:==$st_bin:chown
$ cmp:==$st_bin:cmp
$ comm:==$st_bin:comm
$ cp:==$st_bin:cp
$ cpress:==$st_bin:cpress
$ crt:==$st_bin:crt
$ crypt:==$st_bin:crypt
$ d:==$st_bin:d
$ date:==$st_bin:date
$ dc:==$st_bin:dc
$ delta:==$st_bin:delta
$ detab:==$st_bin:detab
$ stdiff:==$st_bin:diff
$ e:==$st_bin:e
$ echo:==$st_bin:echo
$ ed:==$st_bin:ed
$ entab:==$st_bin:entab
$ esh:==$st_bin:esh
$ exist:==$st_bin:exist
$ expand:==$st_bin:expand
$ fb:==$st_bin:fb
$ fc:==$st_bin:fc
$ fd:==$st_bin:fd
$ field:==$st_bin:field
$ find:==$st_bin:find
$ form:==$st_bin:form
$ format:==$st_bin:format
$ get:==$st_bin:get
$ grep:==$st_bin:grep
$ hsh:==$st_bin:hsh
$ incl:==$st_bin:incl
$ intro:==$st_bin:intro
$ isam:==$st_bin:isam
$ kill:==$st_bin:kill
$ kwic:==$st_bin:kwic
$ lam:==$st_bin:lam
$ lcnt:==$st_bin:lcnt
$ ld:==$st_bin:ld
$ ll:==$st_bin:ll
$ lpr:==$st_bin:lpr
$ ls:==$st_bin:ls
$ stmacro:==$st_bin:macro
$ man:==$st_bin:man
$ mcol:==$st_bin:mcol
$ mkdir:==$st_bin:mkdir
$ mv:==$st_bin:mv
$ number:==$st_bin:number
$ os:==$st_bin:os
$ pack:==$st_bin:pack
$ pl:==$st_bin:pl
$ pr:==$st_bin:pr
$ printf:==$st_bin:printf
$ prlabl:==$st_bin:prlabl
$ ps:==$st_bin:ps
$ pstat:==$st_bin:pstat
$ pwd:==$st_bin:pwd
$ rar:==$st_bin:rar
$ ratp1:==$st_bin:ratp1
$ ratp2:==$st_bin:ratp2
$ rc:==$st_bin:rc
$ resume:==$st_bin:resume
$ rev:==$st_bin:rev
$ rm:==$st_bin:rm
$ ruler:==$st_bin:ruler
$ sched:==$st_bin:sched
$ sedit:==$st_bin:sedit
$ send:==$st_bin:send
$ sepfor:==$st_bin:sepfor
$ sh:==$st_bin:sh
$ sleep:==$st_bin:sleep
$ stsort:==$st_bin:sort
$ spell:==$st_bin:spell
$ split:==$st_bin:split
$ suspnd:==$st_bin:suspnd
$ tail:==$st_bin:tail
$ tee:==$st_bin:tee
$ timer:==$st_bin:timer
$ tr:==$st_bin:tr
$ tsort:==$st_bin:tsort
$ ttt:==$st_bin:ttt
$ txtrpl:==$st_bin:txtrpl
$ ul:==$st_bin:ul
$ uniq:==$st_bin:uniq
$ unrot:==$st_bin:unrot
$ wc:==$st_bin:wc
$ wcnt:==$st_bin:wcnt
$ whereis:==$st_bin:whereis
$ who:==$st_bin:who
$ xch:==$st_bin:xch
$ xfind:==$st_bin:xfind
$ xref:==$st_bin:xref
$ cd:=="''sh' -c cd"
$ @st_bin:dcldef/out=nla0:
$ alltools:==continue
$ arclist:=="''sh' ~bin/arclist.sh"
$ foreign:==@st_bin:foreign
$ roff:==$st_bin:format
$ dspc:=="''cat' -v"
#-h- toolgen.com     2398  asc  08-aug-83 09:19:14  tools (lblh csam sventek)
$ inquire ans "Have you defined the new logical names? [y/n]"
$ if ans .eqs. "y" then goto cont
$ if ans .eqs. "Y" then goto cont
$ write sys$output "You must edit the file stlognam.com to reflect your"
$ write sys$output "installation and then invoke toolgen again.  Consult"
$ write sys$output "the file readme.1st for details."
$ exit
$ cont:
$ inquire ans "Have you created the 6 known directories? [y/n]"
$ if ans .eqs. "y" then goto cont1
$ if ans .eqs. "Y" then goto cont1
$ write sys$output "You must create the directories before proceeding."
$ write sys$output "Consult the file release.doc for information on"
$ write sys$output "the protection modes required."
$ exit
$ cont1:
$ inquire/global shared "Do you wish to link to a shared library? [y/n]
$ inquire/global remfor "Do you wish to remove the sources as we progress? [y/n]"
$ inquire/global remobj "Do you wish to remove the objects as we progress? [y/n]"
$ write sys$output "shared has a value of ''shared'"
$ write sys$output "remfor has a value of ''remfor'"
$ write sys$output "remobj has a value of ''remobj'"
$ set verify
$ show daytime
$ @assemble
$ @compile
$ @library
$ if remfor .eqs. "y" then delete *.mar.*,*.ff.*
$ if remfor .eqs. "Y" then delete *.mar.*,*.ff.*
$ if remobj .eqs. "y" then delete *.obj.*
$ if remobj .eqs. "Y" then delete *.obj.*
$ if shared .eqs. "y" then goto cont2
$ if shared .nes. "Y" then goto cont3
$ cont2:
$ @startup.cmd
$ @directory.cmd
$ @hispmt.cmd
$ @lnedit.cmd
$ @pattern.cmd
$ @rawpmt.cmd
$ @spawn.cmd
$ @rest.cmd
$ @rlibshare.com
$ delete *.cob.*,*.cmd.*
$ cont3:
$ @fbuild
$ set noverify
$ @st_bin:tooldef
$ set verify
$ sh -v
# generate dictionary index
isam <dict >dictdx -d20
# move msg help file to ~msg
mv msghlp ~msg/msghlp
# generate address file for tools
addr >~msg/address
# move manual sections to ~man
mv sect1 ~man/s1
mv sect2 ~man/s2
mv sect3 ~man/s3
mv sect4 ~man/s4
mv mpath ~man/mpath
mv mintro ~man/mintro
# generate indices to manual sections in ~man
asam <~man/s1 | sort >~man/i1
asam <~man/s2 | sort >~man/i2
asam <~man/s3 | sort >~man/i3
asam <~man/s4 | sort >~man/i4
# build ~bin/sysuaf.mod to modify accounts in case this is first toolgen
ed - <sysuaf.eds
$ set noverify
$ if shared .eqs. "y" then goto cont4
$ if shared .eqs. "Y" then goto cont4
$ write sys$output -
"Be sure to remove the definition of RLIBSHARE from stlognam.com!"
$ cont4:
$ show daytime
#-h- toolgen.lst    17321  asc  03-aug-83 13:56:41  tools (lblh csam sventek)
<<<CCCRRR>>>
                LBLG - CSAM VMS Development VAX

Username: SSSYYYSSSTTTEEEMMM<<<CCCRRR>>>
Password: <<<CCCRRR>>>

        Welcome to LBLG - CSAM VMS Development VAX

        LBLG VAX-11/780 Machine.
        **********
        System shutdown:
        Wednesday       8/3     LBLH    0500-0700       SEEDIS004 backup
        Thursday        8/4     LBLG    0500-0700       CSAMSHARE backup
        Friday          8/5     LBLG/H  0500-0630       Backups--User disks
                                LBLH    0800-0900       System disk backup
        ------
        The preliminary schedule for the CSAM VAX/VMS machines for the month
        of August has been posted on the bulletin board outside bldg. 50B,
        room 3220.  The file sys$sysroot:[sysmgr.schedule]augsched. can be
        typed or printed.  Please read this schedule carefully as it is 
        subject to extreme change this month as new hardware is installed,
        tested, and made available to the users.  (7/29/83)
        **********


You have Software Tools mail
$ cccrrreeeaaattteee///dddiiirrr   dddrrrccc111:::[[[tttoooooolllsss]]]<<<CCCRRR>>>
$ ssseeettt   dddeeefff   dddrrrccc111:::[[[tttoooooolllsss]]]<<<CCCRRR>>>
$ cccrrreeeaaattteee///dddiiirrr///ppprrrooottt===(((sss:::rrrwwweee,,,ooo:::rrrwwweee,,,ggg:::rrreee,,,www:::rrreee)))   [[[...bbbiiinnn]]]<<<CCCRRR>>>
$ cccrrreeeaaattteee///dddiiirrr///ppprrrooottt===(((sss:::rrrwwweee,,,ooo:::rrrwwweee,,,ggg:::rrreee,,,www:::rrreee)))   [[[...uuusssrrr]]]<<<CCCRRR>>>
$ cccrrreeeaaattteee///dddiiirrr///ppprrrooottt===(((sss:::rrrwwweee,,,ooo:::rrrwwweee,,,ggg:::rrrwwweee,,,www:::rrrwwweee)))   [[[...tttmmmppp]]]<<<CCCRRR>>>
$ cccrrreeeaaattteee///dddiiirrr///ppprrrooottt===(((sss:::rrrwwweee,,,ooo:::rrrwwweee,,,ggg:::rrrwwweee,,,www:::rrrwwweee)))   [[[...lllppprrr]]]<<<CCCRRR>>>
$ cccrrreeeaaattteee///dddiiirrr///ppprrrooottt===(((sss:::rrrwwweee,,,ooo:::rrrwwweee,,,ggg:::rrrwwweee,,,www:::rrrwwweee)))   [[[...mmmsssggg]]]<<<CCCRRR>>>
$ cccrrreeeaaattteee///dddiiirrr///ppprrrooottt===(((sss:::rrrwwweee,,,ooo:::rrrwwweee,,,ggg:::rrreee,,,www:::rrreee)))   [[[...mmmaaannn]]]<<<CCCRRR>>>
$ ssseeettt   dddeeefff   [[[...bbbiiinnn]]]<<<CCCRRR>>>
$ cccooopppyyy   dddrrrccc333:::[[[tttoooooolllssscccrrr...tttoooooolllsss...dddiiissstttnnn]]]***...***   [[[]]]***<<<CCCRRR>>>
$ @@@tttoooooolllgggeeennn<<<CCCRRR>>>
Have you defined the new logical names? [y/n]: nnn<<<CCCRRR>>>
You must edit the file stlognam.com to reflect your
installation and then invoke toolgen again.  Consult
the file readme.1st for details.
$ eeeddd   ssstttlllooogggnnnaaammm...cccooommm<<<CCCRRR>>>
12
: ///bbbiiinnn///sss///dddbbbaaa000///dddrrrccc111<<<CCCRRR>>>
$ define/system st_bin drc1:[tools.bin]
: ///mmmsssggg///sss///dddbbbaaa000///dddrrrccc111<<<CCCRRR>>>
$ define/system st_msg drc1:[tools.msg]
: ///mmmaaannn///sss///dddbbbaaa000///dddrrrccc111<<<CCCRRR>>>
$ define/system st_man drc1:[tools.man]
: ///nnnooodddeee___nnnaaammmeee///sss//////lllbbblllggg<<<CCCRRR>>>
$ define/system st_node lblg
: 111bbb<<<CCCRRR>>>
$ define/system st_bin drc1:[tools.bin]
$ define/system st_usr dba0:[tools.usr]
$ define/system st_tmp dba0:[tools.tmp]
$ define/system st_lpr dba0:[tools.lpr]
$ define/system st_msg drc1:[tools.msg]
$ define/system st_man drc1:[tools.man]
$ define/system st_src dba0:[tools.src]
$ define/system st_node lblg
$ define/system st_timezone pst
$ define/system rlibshare st_bin:rlibshare.exe
$ define/system sys_tools st_bin:
$ define/system tools_usr st_usr:
: www<<<CCCRRR>>>
12
: qqq<<<CCCRRR>>>
$ @@@ssstttlllooogggnnnaaammm<<<CCCRRR>>>
$ @@@tttoooooolllgggeeennn<<<CCCRRR>>>
Have you defined the new logical names? [y/n]: yyy<<<CCCRRR>>>
Have you created the 6 known directories? [y/n]: yyy<<<CCCRRR>>>
Do you wish to link to a shared library? [y/n]: yyy<<<CCCRRR>>>
Do you wish to remove the sources as we progress? [y/n]: yyy<<<CCCRRR>>>
Do you wish to remove the objects as we progress? [y/n]: yyy<<<CCCRRR>>>
shared has a value of Y
remfor has a value of Y
remobj has a value of Y
$ show daytime
   3-AUG-1983 10:24:04
$ @assemble
$ macro/nolist/object cctype.mar
$ macro/nolist/object chcopy.mar
$ macro/nolist/object chmod.mar
$ macro/nolist/object chown.mar
$ macro/nolist/object closef.mar
$ macro/nolist/object clower.mar
$ macro/nolist/object concat.mar
$ macro/nolist/object crelogsup.mar
$ macro/nolist/object cupper.mar
$ macro/nolist/object decnfo.mar
$ macro/nolist/object devtyp.mar
$ macro/nolist/object directory.mar
$ macro/nolist/object equal.mar
$ macro/nolist/object fdel.mar
$ macro/nolist/object fold.mar
$ macro/nolist/object getpriv.mar
$ macro/nolist/object gets.mar
$ macro/nolist/object gtftok.mar
$ macro/nolist/object impath.mar
$ macro/nolist/object index.mar
$ macro/nolist/object length.mar
$ macro/nolist/object main.mar
$ macro/nolist/object mark.mar
$ macro/nolist/object myopen.mar
$ macro/nolist/object openf.mar
$ macro/nolist/object point.mar
$ macro/nolist/object puts.mar
$ macro/nolist/object rablst.mar
$ macro/nolist/object rdpmpt.mar
$ macro/nolist/object reads.mar
$ macro/nolist/object rename.mar
$ macro/nolist/object scopy.mar
$ macro/nolist/object stcopy.mar
$ macro/nolist/object strcmp.mar
$ macro/nolist/object strcpy.mar
$ macro/nolist/object system.mar
$ macro/nolist/object type.mar
$ macro/nolist/object upper.mar
$ macro/nolist/object writes.mar
$ @compile
$ fortran/noop/nolist/object=lib.obj lib.ff
$ fortran/noop/nolist/object=prim.obj prim.ff
$ @library
$ libr/create rlib.olb *.obj
$ if remfor .eqs. "y" then delete *.mar.*,*.ff.*
$ if remfor .eqs. "Y" then delete *.mar.*,*.ff.*
$ if remobj .eqs. "y" then delete *.obj.*
$ if remobj .eqs. "Y" then delete *.obj.*
$ if shared .eqs. "y" then goto cont2
$ if shared .nes. "Y" then goto cont3
$ cont2:
$ @startup.com
$ set verify
$ delete startup.cob.*
%DELETE-W-FILNOTDEL, error deleting DRC1:[TOOLS.BIN]STARTUP.COB;*
-RMS-E-FNF, file not found
$ libr/extr=(ADRFIL,ARGGEN,ASSIGN,CANT,CCTYPE,CHCOPY,CLOSE,CLOSEF)/outp=startup.cob rlib.olb
$ libr/extr=(CONCAT,COPYIT,CRE8AT,CVT_DTOP,DEFDIR,DELARG,DEVTYP,DIROUT)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(DSCBLD,ENDST,EQUAL,EXITH,EXPLOG,EXPPTH,FGENR8,FOLD)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(GENDIR,GETCH,GETDCL,GETDIR,GETIMG,GETLIN,GETMSG,GETPNM)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(GETS,GETWRD,GTDDEV,GTDFLT,GTDPTH,GTFTOK,HOMDIR,HOSTNM)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(INDEXS,INDEXX,INITST,INSUB,LENGTH,LSTCHR,MAILID,MAKARG)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(MKLOCL,MKPATH,NXTLUN,OPEN,OPENA,OPENF,OPENN,OPENP)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(OPENR,OPENS,OPENW,OUTSUB,PARSEF,PUTCH,PUTLIN,PUTS)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(RABLST,REAL_DEVICE,RESDEF,RES_TILDE,RGETCH,RPUTCH,SCOPY,SKIPBL)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ libr/extr=(STCOPY,STRCPY,STR_HOST,TRAN1,TRNLOG,UPPER)/outp=u.obj rlib.olb
$ appe u.obj startup.cob
$ delete u.obj.*
$ @rest.com
$ set verify
$ delete rest.cob.*
%DELETE-W-FILNOTDEL, error deleting DRC1:[TOOLS.BIN]REST.COB;*
-RMS-E-FNF, file not found
$ libr/extr=(ACOPY,ADDINT,ADDSET,ADDSTR,AFETCH,AGETCH,AGETHD,AGTLIN)/outp=rest.cob rlib.olb
$ libr/extr=(ALLDIG,AMATCH,AMOVE,AOPEN,APPRED,APPSTR,ARGTAB,ASKIP)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(AUXFMT,BADARG,BRDCST,BUBBLE,CATSUB,CHMOD,CHOWN,CLOSDR)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(CLOWER,CMATCH,CPUTIM,CREATE,CREMBX,CTOC,CTODI,CTOI)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(CTOPTR,CUPPER,DCLOUT,DECNFO,DIRECTORY,DIRFIL,DIR_INIT,DITOC)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(DODASH,DOPACK,DISIZE,DSPPRV,DSTIME,EDLINE,ENBINT,ERROR)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(ESC,EXETIM,EXPPID,FCOPY,FDEL,FILNFO,FILSET,FLFIND)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(FLPACK,FMTDAT,FMTTIM,FMTUIC,FSIZE,FSKIP,GDRAUX,GDRPRM)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(GENPNM,GETARG,GETAST,GETBPR,GETCCL,GETFDB,GETNOW,GETOWN)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(GETPAT,GETPDB,GETPID,GETPRV,GETRLN,GETSUB,GETTYP,GETUIC)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(GET_PRIV,GITOCF,GNOREG,GTMODE,GTSTAT,GTWORD,GTZONE,GWDIR)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(HTOI,IMPATH,INIHLP,INMAP,INPACK,INTSRV,ISATTY,ITOC)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(ITOCZF,KILL,LEDPMT,LE_ALPHAN,LE_BCKUPC,LE_D2EOL,LE_DNOISE,LE_DS)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(LE_FCLOSD,LE_FGDRPR,LE_FLUSHQ,LE_FOPEND,LE_GTHIST,LE_INSSTR,LE_LEDIT,LE_LEINIT)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(LE_LERROR,LE_LL2PL,LE_LNGEST,LE_MVCURQ,LE_NGETCH,LE_NGTNUM,LE_PBCMD,LE_PBINIT)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(LE_PBSTR,LE_PUTBAK,LE_PUTCHF,LE_PUTCHQ,LE_PUTSTF,LE_PUTSTQ,LE_RAWIO,LE_RAWTXT)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(LE_RECOGF,LE_SAVELN,LE_SCN4CH,LE_SCNBBW,LE_SCNBCK,LE_SCNBLW,LE_SCNEBW,LE_SCNELW)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(LE_SPAWND,LE_SPNBCK,LE_UPDLIN,LE_WHITES,LNEDIT,LOCATE,LOCCOM,LOGEND)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(LOGPMT,MAKPAT,MAKSUB,MARK,MATCH,MRKHLP,MYOPEN,NOTE)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(OMATCH,OPENDR,OUTMAP,PATSIZ,PGFLTS,PHELP0,PLOG00,PLOG01)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(PLOG03,PLOG04,PLOG06,PLOG07,PLOG08,PLOG09,PLOG10,PLOG11)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(PLOG12,PLOG13,PLOG14,PLOG15,PLOG16,PLOG17,PLOG18,PLOG19)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(PLOG20,PLOG21,PLOG22,POINT,PRAW01,PRAW02,PRAW03,PRAW04)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(PRAW05,PRAW06,PRAW07,PRAW08,PRAW09,PRAW10,PRCDON,PROMPT)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(PR_INSTAL,PR_LOOKUP,PSTAT,PTRCPY,PTREQ,PTRTOC,PUTHEX,PUTHLP)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(PUTINT,PUTLNL,PUTPDB,PUTPTR,PUTSTR,PWAIT,QUERY,QUOTAS)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(RAWPMT,RDPMPT,RDTMBX,READF,READS,REMARK,REMOVE,RENAME)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(RESUIC,RESUME,RTOPEN,SCRATF,SDROP,SEEK,SETAST,SETTAB)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(SHELL,SLEEP,SNOREG,SPAWN,SRESET,SRTTIM,STAKE,STCLOS)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(STMODE,STRCMP,STRIM,STSTAT,STTIMO,SUSPND,SYSTEM,TABPOS)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ libr/extr=(TOOLDR,TRMLST,TYPE,UNIQUE,WKDAY,WRITEF,WRITES,WTMSEC)/outp=v.obj rlib.olb
$ appe v.obj rest.cob
$ delete v.obj.*
$ @rlibshare.com
$ set verify
$! rlibshare - build the rlib shareable image
$! uses files:
$!      transfer.mac - built via "ed <transfer.ed"
$!      startup.cob - built via "ed <startup.ed; @startup"
$!      rest.cob - built via "ed <rest.ed; @rest"

$ delete rlibshare.exe.*,rlibshare.map.*,transfer.obj.*
%DELETE-W-FILNOTDEL, error deleting DRC1:[TOOLS.BIN]RLIBSHARE.EXE;*
-RMS-E-FNF, file not found
%DELETE-W-FILNOTDEL, error deleting DRC1:[TOOLS.BIN]RLIBSHARE.MAP;*
-RMS-E-FNF, file not found
%DELETE-W-FILNOTDEL, error deleting DRC1:[TOOLS.BIN]TRANSFER.OBJ;*
-RMS-E-FNF, file not found
$ macro/nolist transfer.mac
$ link /share/map=rlibshare.map/full/exe=rlibshare.exe sys$input/opt
gsmatch=lequal,1,0
cluster=transfer_vect,,,transfer
cluster=startup,,,startup.cob
cluster=rest,,,rest.cob
psect_attr = CARG,NOSHR
psect_attr = CAST,NOSHR
psect_attr = CDIREC,NOSHR
psect_attr = CEXITH,NOSHR
psect_attr = CHELP,NOSHR
psect_attr = CLEDIT,NOSHR
psect_attr = CLOG00,NOSHR
psect_attr = CLOG01,NOSHR
psect_attr = CLOG02,NOSHR
psect_attr = CLOG03,NOSHR
psect_attr = CLOG04,NOSHR
psect_attr = CLPB,NOSHR
psect_attr = CNOREG,NOSHR
psect_attr = COLDCM,NOSHR
psect_attr = CPROC,NOSHR
psect_attr = CQUOTA,NOSHR
psect_attr = CTAG,NOSHR
psect_attr = CTRMBX,NOSHR
psect_attr = IO,NOSHR
psect_attr = PR_CLOOK,NOSHR
$ cont3:
$ @fbuild
$ @build/out=nla0: acat
$ @build/out=nla0: addr
$ @build/out=nla0: admin
$ @build/out=nla0: alist
$ @build/out=nla0: apropos
$ @build/out=nla0: ar
$ @build/out=nla0: args
$ @build/out=nla0: asam
$ @build/out=nla0: asplit
$ @build/out=nla0: axref
$ @build/out=nla0: banner
$ @build/out=nla0: bargraph
$ @build/out=nla0: biged
$ @build/out=nla0: box
$ @build/out=nla0: cat
$ @build/out=nla0: ccnt
$ @build/out=nla0: ch
$ @build/out=nla0: chmod
$ @build/out=nla0: chown
$ @build/out=nla0: cmp
$ @build/out=nla0: comm
$ @build/out=nla0: cp
$ @build/out=nla0: cpress
$ @build/out=nla0: crt
$ @build/out=nla0: crypt
$ @build/out=nla0: d
$ @build/out=nla0: date
$ @build/out=nla0: dc
$ @build/out=nla0: delta
$ @build/out=nla0: detab
$ @build/out=nla0: diff
$ @build/out=nla0: e
$ @build/out=nla0: echo
$ @build/out=nla0: ed
$ @build/out=nla0: entab
$ @build/out=nla0: esh
$ @build/out=nla0: exist
$ @build/out=nla0: expand
$ @build/out=nla0: fb
$ @build/out=nla0: fc
$ @build/out=nla0: fd
$ @build/out=nla0: field
$ @build/out=nla0: find
$ @build/out=nla0: form
$ @build/out=nla0: format
$ @build/out=nla0: get
$ @build/out=nla0: grep
$ @build/out=nla0: hsh
$ @build/out=nla0: incl
$ @build/out=nla0: intro
$ @build/out=nla0: isam
$ @build/out=nla0: kill
$ @build/out=nla0: kwic
$ @build/out=nla0: lam
$ @build/out=nla0: lcnt
$ @build/out=nla0: ld
$ @build/out=nla0: ll
$ @build/out=nla0: lpr
$ @build/out=nla0: ls
$ @build/out=nla0: macro
$ @build/out=nla0: man
$ @build/out=nla0: mcol
$ @build/out=nla0: mkdir
$ @build/out=nla0: mv
$ @build/out=nla0: number
$ @build/out=nla0: os
$ @build/out=nla0: pack
$ @build/out=nla0: pl
$ @build/out=nla0: pr
$ @build/out=nla0: printf
$ @build/out=nla0: prlabl
$ @build/out=nla0: ps
$ @build/out=nla0: pstat
$ @build/out=nla0: pwd
$ @build/out=nla0: rar
$ @build/out=nla0: rat77
$ @build/out=nla0: ratfor
$ @build/out=nla0: ratp1
$ @build/out=nla0: ratp2
$ @build/out=nla0: rc
$ @build/out=nla0: resume
$ @build/out=nla0: rev
$ @build/out=nla0: rm
$ @build/out=nla0: ruler
$ @build/out=nla0: sched
$ @build/out=nla0: sedit
$ @build/out=nla0: send
$ @build/out=nla0: sepfor
$ @build/out=nla0: sh
$ @build/out=nla0: sleep
$ @build/out=nla0: sort
$ @build/out=nla0: spell
$ @build/out=nla0: split
$ @build/out=nla0: suspnd
$ @build/out=nla0: tail
$ @build/out=nla0: tee
$ @build/out=nla0: timer
$ @build/out=nla0: tr
$ @build/out=nla0: tsort
$ @build/out=nla0: ttt
$ @build/out=nla0: txtrpl
$ @build/out=nla0: ul
$ @build/out=nla0: uniq
$ @build/out=nla0: unrot
$ @build/out=nla0: wc
$ @build/out=nla0: wcnt
$ @build/out=nla0: whereis
$ @build/out=nla0: who
$ @build/out=nla0: xch
$ @build/out=nla0: xfind
$ @build/out=nla0: xref
$ set noverify
$ sh -v
# generate dictionary index
isam <dict >dictdx -d20
# move msg help file to ~msg
mv msghlp ~msg/msghlp
# generate address file for tools
addr >~msg/address
Number of records read: 129
# move manual sections to ~man
mv sect1 ~man/s1
mv sect2 ~man/s2
mv sect3 ~man/s3
mv sect4 ~man/s4
mv mpath ~man/mpath
mv mintro ~man/mintro
# generate indices to manual sections in ~man
asam <~man/s1 | sort >~man/i1
asam <~man/s2 | sort >~man/i2
asam <~man/s3 | sort >~man/i3
asam <~man/s4 | sort >~man/i4
# build ~bin/sysuaf.mod to modify accounts in case this is first toolgen
ed - <sysuaf.eds
$ set noverify
   3-AUG-1983 11:31:33
$ lllooogggooouuuttt<<<CCCRRR>>>
  SYSTEM       logged out at  3-AUG-1983 11:32:01.36
#-h- tools.hlp        899  asc  22-dec-82 19:51:53  tools (lblh csam sventek)

1 tools
!   11/01/80 tools.hlp - help file to explain the use of the tools VOS
A  set  of utilities which provide powerful text processing capabilities
as well as other capabilities.  A typical invocation is:

tool arguments [<inputfile] [>outputfile] [?errorfile]

Upon invocation, three io connections  are  established  for  the  tool,
termed  standard  input, standard output, and errout.  If no redirection
has been specified in the command line, these  connections  are  all  to
the  user's  terminal.   The  arguments are specific to each tool.  Each
tool will divulge the required arguments if invoked as

tool ?

A list of available tools may be  had  through  the  invocation  of  the
`intro'  command.   Further  help  for  a  particular tool may be had by
using the `man' command.  From DCL, the following symbol definitions  do
the trick:

$ intro:==$st_bin:intro
$ man:==$st_bin:man

#-h- tools.ins        361  asc  31-jul-83 12:02:53  tools (lblh csam sventek)
$ run sys$system:install
ST_BIN:RLIBSHARE/SHARED/OPEN
ST_BIN:WHO/SHARED/OPEN/PRIV=(WORLD,GROUP)
ST_BIN:PS/SHARED/OPEN/PRIV=(WORLD,GROUP)
ST_BIN:SH/SHARED/OPEN/PRIV=(DETACH,CMEXEC)
ST_BIN:ESH/SHARED/OPEN/PRIV=(DETACH,CMEXEC)
ST_BIN:HSH/SHARED/OPEN/PRIV=(DETACH,CMEXEC)
ST_BIN:E/SHARED/OPEN/HEADER
ST_BIN:ED/SHARED/OPEN/HEADER
ST_BIN:SEND/SHARED/OPEN/PRIV=(OPER)
#-h- toolshlp.fmt     927  asc  22-dec-82 19:51:56  tools (lblh csam sventek)
.m1 1
.m2 0
.m3 0
.m4 1
.in 0
.rm 72
.nf
1 tools
!   11/01/80 tools.hlp - help file to explain the use of the tools VOS
.fi
A set of utilities which provide powerful text processing capabilities
as well as other capabilities.  A typical invocation is:

tool arguments [<inputfile] [>outputfile] [?errorfile]

Upon invocation, three io connections are established for the tool, termed
standard input, standard output, and errout.  If no redirection has
been specified in the command line, these connections are all to the
user's terminal.  The arguments are specific to each tool.  Each tool will
divulge the required arguments if invoked as

tool ?
 
A list of available tools may be had through the invocation of the `intro'
command.  Further help for a particular tool may be had by using the
`man' command.  From DCL, the following symbol definitions do the trick:

.nf
$ intro:==$st_bin:intro
$ man:==$st_bin:man
.fi
.pl 0
#-h- ttdef.com         30  asc  22-dec-82 19:51:57  tools (lblh csam sventek)
$ define tt 'f$logical("TT")'
#-h- genrevlev.sh     385  asc  23-dec-82 08:32:52  tools (lblh csam sventek)
# this script generates the current revlevels of the .tcs files found in
# \src and \vms on this disk
#
ls \src/.tcs | ch .tcs | ch "%?*$" "echo &; pl 2 \src/&.tcs" | sh -v >temp
ls \vms/.tcs | ch .tcs | ch "%?*$" "echo &; pl 2 \vms/&.tcs" | sh -v >>temp
ed - temp <<!
g/%@%/s/%??????/!/
g/%!/s/ ?*$//
g/%!/.-1s/@n//
g/!/s//@t/
w
q
!
sort temp | printf "%-16sVersion # %s" >$1
rm temp
#-h- revlevels.f82   3129  asc  17-feb-83 10:37:47  tools (lblh csam sventek)
acat            Version # 1.1
addr            Version # 1.1
admin           Version # 1.1
alist           Version # 1.2
ar              Version # 1.1
args            Version # 1.1
asam            Version # 1.1
asplit          Version # 1.1
axref           Version # 1.1
banner          Version # 1.1
bargraph        Version # 1.1
box             Version # 1.1
cat             Version # 1.2
ccnt            Version # 1.1
cd              Version # 1.1
ch              Version # 1.1
chmod           Version # 1.1
chown           Version # 1.1
cmp             Version # 1.1
comm            Version # 1.1
cp              Version # 1.1
cpress          Version # 1.1
crt             Version # 1.3
crypt           Version # 1.1
date            Version # 1.1
dc              Version # 1.1
delta           Version # 1.1
detab           Version # 1.1
diff            Version # 1.2
echo            Version # 1.1
ed              Version # 1.2
entab           Version # 1.1
exist           Version # 1.1
expand          Version # 1.1
fb              Version # 1.2
fc              Version # 1.2
fd              Version # 1.1
field           Version # 1.1
find            Version # 1.1
form            Version # 1.3
format          Version # 1.5
get             Version # 1.1
grep            Version # 1.1
incl            Version # 1.1
intro           Version # 1.3
isam            Version # 1.1
kill            Version # 1.1
kwic            Version # 1.1
lam             Version # 1.1
lcnt            Version # 1.1
ld              Version # 1.3
ll              Version # 1.1
lpr             Version # 1.1
ls              Version # 1.2
macro           Version # 1.1
man             Version # 1.3.1
mcol            Version # 1.1
mkdir           Version # 1.1
mv              Version # 1.1
number          Version # 1.1
oldratfor       Version # 1.2
os              Version # 1.2
pack            Version # 1.1
pl              Version # 1.1
pr              Version # 1.1
printf          Version # 1.1
prlabl          Version # 1.1
ps              Version # 1.3.1
pstat           Version # 1.1
pwd             Version # 1.1
rar             Version # 1.1
ratfor          Version # 1.10
rc              Version # 1.2
resume          Version # 1.1
rev             Version # 1.1
rm              Version # 1.2
ruler           Version # 1.1
sched           Version # 1.1
sedit           Version # 1.1
send            Version # 1.1.1
sepfor          Version # 1.1
sh              Version # 1.8
sleep           Version # 1.1
sort            Version # 1.1
spell           Version # 1.1
split           Version # 1.1
suspnd          Version # 1.1
tail            Version # 1.2
tee             Version # 1.1
timer           Version # 1.1
tr              Version # 1.1
tsort           Version # 1.1
ttt             Version # 1.1
txtrpl          Version # 1.4
ul              Version # 1.1
uniq            Version # 1.1
unrot           Version # 1.1
wc              Version # 1.1
wcnt            Version # 1.1
whereis         Version # 1.1
who             Version # 1.3.1
xch             Version # 1.2
xfind           Version # 1.1
xref            Version # 1.1
#-h- rest.ml          667  asc  08-aug-83 08:28:55  tools (lblh csam sventek)
ACOPY
ADDSET
ADDSTR
AFETCH
AGETCH
AGETHD
AGTLIN
ALLDIG
AMOVE
AOPEN
APPSTR
ARGTAB
ASKIP
BADARG
BRDCST
BUBBLE
CHMOD
CHOWN
CMATCH
CPUTIM
CTOC
CTODI
CTOPTR
DIRFIL
DITOC
DOPACK
DISIZE
DSPPRV
DSTIME
ENBINT
EXETIM
EXPPID
FILNFO
FLFIND
FLPACK
FMTDAT
FMTTIM
FSIZE
FSKIP
GETAST
GETFDB
GETNOW
GETRLN
GETTYP
GET_PRIV
GITOCF
GTMODE
GTSTAT
GTWORD
GTZONE
GWDIR
HTOI
IMPATH
INIHLP
INMAP
INPACK
INTSRV
ITOCZF
KILL
LOCCOM
MARK
MRKHLP
MYOPEN
NOTE
OUTMAP
PGFLTS
PHELP0
POINT
PROMPT
PSTAT
PTRCPY
PTREQ
PTRTOC
PUTHLP
PUTPTR
RDPMPT
READF
READS
RENAME
RESUME
RTOPEN
SDROP
SEEK
SETAST
SETTAB
SHELL
SLEEP
STAKE
STMODE
STRIM
STSTAT
STTIMO
SUSPND
SYSTEM
TABPOS
TOOLDR
TRMLST
WKDAY
WRITEF
WRITES
#-h- rlibshare.com   1492  asc  08-aug-83 08:30:42  tools (lblh csam sventek)
$ set verify
$! rlibshare - build the rlib shareable image
$! uses files:
$!	transfer.mac - built via "ed <transfer.ed"
$!	startup.cob - built via "buildcob startup; @startup"
$!	directory.cob - built via "buildcob directory; @directory"
$!	hispmt.cob - built via "buildcob hispmt; @hispmt"
$!	lnedit.cob - built via "buildcob lnedit; @lnedit"
$!	pattern.cob - built via "buildcob pattern; @pattern"
$!	rawpmt.cob - built via "buildcob rawpmt; @rawpmt"
$!	spawn.cob - built via "buildcob spawn; @spawn"
$!	rest.cob - built via "buildcob rest; @rest"

$ delete rlibshare.exe.*,rlibshare.map.*,transfer.obj.*
$ macro/nolist transfer.mac
$ link /share/map=rlibshare.map/full/exe=rlibshare.exe sys$input/opt
gsmatch=lequal,1,0
cluster=transfer_vect,,,transfer
cluster=startup,,,startup.cob
cluster=directory,,,directory.cob
cluster=hispmt,,,hispmt.cob
cluster=lnedit,,,lnedit.cob
cluster=pattern,,,pattern.cob
cluster=rawpmt,,,rawpmt.cob
cluster=spawn,,,spawn.cob
cluster=rest,,,rest.cob
psect_attr = CARG,NOSHR
psect_attr = CAST,NOSHR
psect_attr = CDIREC,NOSHR
psect_attr = CEXITH,NOSHR
psect_attr = CHELP,NOSHR
psect_attr = CLEDIT,NOSHR
psect_attr = CLOG00,NOSHR
psect_attr = CLOG01,NOSHR
psect_attr = CLOG02,NOSHR
psect_attr = CLOG03,NOSHR
psect_attr = CLOG04,NOSHR
psect_attr = CLPB,NOSHR
psect_attr = CNOREG,NOSHR
psect_attr = COLDCM,NOSHR
psect_attr = CPROC,NOSHR
psect_attr = CQUOTA,NOSHR
psect_attr = CTAG,NOSHR
psect_attr = CTRMBX,NOSHR
psect_attr = IO,NOSHR
psect_attr = PR_CLOOK,NOSHR
#-h- startup.ml       653  asc  08-aug-83 08:28:56  tools (lblh csam sventek)
ADRFIL
ARGGEN
ASSIGN
CANT
CCTYPE
CHCOPY
CLOSE
CLOSEF
CLOWER
CONCAT
COPYIT
CRE8AT
CREATE
CTOI
CUPPER
CVT_DTOP
DEFDIR
DELARG
DEVTYP
DIROUT
DSCBLD
ENDST
EQUAL
ERROR
EXITH
EXPLOG
EXPPTH
FCOPY
FDEL
FGENR8
FOLD
GENDIR
GETARG
GETCH
GETDCL
GETDIR
GETIMG
GETLIN
GETMSG
GETPNM
GETS
GETWRD
GTDDEV
GTDFLT
GTDPTH
GTFTOK
HOMDIR
HOSTNM
INDEXS
INDEXX
INITST
INSUB
ISATTY
ITOC
LENGTH
LSTCHR
MAILID
MAKARG
MKLOCL
MKPATH
NXTLUN
OPEN
OPENA
OPENF
OPENN
OPENP
OPENR
OPENS
OPENW
OUTSUB
PARSEF
PUTCH
PUTINT
PUTLIN
PUTLNL
PUTS
PUTSTR
QUERY
RABLST
REAL_DEVICE
REMARK
REMOVE
RESDEF
RES_TILDE
RGETCH
RPUTCH
SCOPY
SCRATF
SKIPBL
STCOPY
STRCMP
STRCPY
STR_HOST
TRAN1
TRNLOG
TYPE
UPPER
#-h- transfer.ed      158  asc  08-aug-83 08:43:27  tools (lblh csam sventek)
f transfer.mac
r transfer.gl
g/%?*$/s//	.TRANSFER	&@n	.MASK	&@n	JMP	L^&+2/
1i
	.TITLE	TRANSFER_V
	.PSECT	TRANSFER_VECT	EXE,NOWRT,PIC,SHR,GBL
.
$a
	.END
.
w
q
#-h- transfer.gl     1194  asc  03-aug-83 14:18:18  tools (lblh csam sventek)
ACOPY
ADDINT
ADDSET
ADDSTR
ADRFIL
AGETCH
AGETHD
AGTLIN
ALLDIG
AMATCH
AMOVE
AOPEN
ARGTAB
ASKIP
ASSIGN
BADARG
BRDCST
BUBBLE
CANT
CATSUB
CHCOPY
CHMOD
CHOWN
CLOSDR
CLOSE
CLOWER
CMATCH
CONCAT
CPUTIM
CREATE
CREMBX
CTOC
CTODI
CTOI
CTOPTR
CUPPER
DELARG
DITOC
DODASH
DOPACK
DSCBLD
DISIZE
DSPPRV
DSTIME
EDLINE
ENBINT
ENDST
EQUAL
ERROR
ESC
EXETIM
EXITH
EXPPTH
FCOPY
FILNFO
FILSET
FLPACK
FMTDAT
FMTTIM
FOLD
FSIZE
FSKIP
GDRAUX
GDRPRM
GETARG
GETAST
GETBPR
GETCCL
GETCH
GETDIR
GETIMG
GETLIN
GETNOW
GETOWN
GETPAT
GETPID
GETPNM
GETRLN
GETSUB
GETTYP
GETUIC
GETWRD
GET_PRIV
GITOCF
GNOREG
GTFTOK
GTMODE
GTSTAT
GTWORD
GTZONE
GWDIR
HOMDIR
HTOI
IMPATH
INDEXS
INDEXX
INIHLP
INITST
INMAP
INPACK
INTSRV
ISATTY
ITOC
ITOCZF
KILL
LEDPMT
LENGTH
LNEDIT
LOCATE
LOCCOM
LOGEND
LOGPMT
MAILID
MAKPAT
MAKSUB
MATCH
MKLOCL
MKPATH
MRKHLP
NOTE
OMATCH
OPEN
OPENDR
OUTMAP
PATSIZ
PGFLTS
PROMPT
PSTAT
PTRCPY
PTREQ
PTRTOC
PUTCH
PUTHEX
PUTHLP
PUTINT
PUTLIN
PUTLNL
PUTPTR
PUTSTR
PWAIT
QUERY
RAWPMT
READF
READS
REMARK
REMOVE
RESUME
SCOPY
SCRATF
SDROP
SEEK
SETAST
SETTAB
SHELL
SKIPBL
SLEEP
SNOREG
SPAWN
STAKE
STCLOS
STCOPY
STMODE
STRCMP
STRCPY
STRIM
STSTAT
STTIMO
SUSPND
SYSTEM
TABPOS
TOOLDR
TRMLST
TRNLOG
TYPE
UNIQUE
UPPER
WKDAY
WRITEF
WRITES
#-h- directory.ml     102  asc  08-aug-83 08:28:56  tools (lblh csam sventek)
AUXFMT
CLOSDR
DECNFO
DIRECTORY
DIR_INIT
FMTUIC
GDRAUX
GDRPRM
OPENDR
PR_INSTAL
PR_LOOKUP
RESUIC
SRTTIM
#-h- hispmt.ml        175  asc  08-aug-83 08:28:57  tools (lblh csam sventek)
EDLINE
LEDPMT
LOGEND
LOGPMT
PLOG00
PLOG01
PLOG03
PLOG04
PLOG06
PLOG07
PLOG08
PLOG09
PLOG10
PLOG11
PLOG12
PLOG13
PLOG14
PLOG15
PLOG16
PLOG17
PLOG18
PLOG19
PLOG20
PLOG21
PLOG22
#-h- lnedit.ml        407  asc  08-aug-83 08:28:58  tools (lblh csam sventek)
LE_ALPHAN
LE_BCKUPC
LE_D2EOL
LE_DNOISE
LE_DS
LE_FCLOSD
LE_FGDRPR
LE_FLUSHQ
LE_FOPEND
LE_GTHIST
LE_INSSTR
LE_LEDIT
LE_LEINIT
LE_LERROR
LE_LL2PL
LE_LNGEST
LE_MVCURQ
LE_NGETCH
LE_NGTNUM
LE_PBCMD
LE_PBINIT
LE_PBSTR
LE_PUTBAK
LE_PUTCHF
LE_PUTCHQ
LE_PUTSTF
LE_PUTSTQ
LE_RAWIO
LE_RAWTXT
LE_RECOGF
LE_SAVELN
LE_SCN4CH
LE_SCNBBW
LE_SCNBCK
LE_SCNBLW
LE_SCNEBW
LE_SCNELW
LE_SPAWND
LE_SPNBCK
LE_UPDLIN
LE_WHITES
LNEDIT
#-h- pattern.ml       122  asc  08-aug-83 08:28:59  tools (lblh csam sventek)
ADDINT
AMATCH
CATSUB
DODASH
ESC
FILSET
GETCCL
GETPAT
GETSUB
GNOREG
LOCATE
MAKPAT
MAKSUB
MATCH
OMATCH
PATSIZ
SNOREG
STCLOS
#-h- rawpmt.ml         77  asc  08-aug-83 08:29:00  tools (lblh csam sventek)
PRAW01
PRAW02
PRAW03
PRAW04
PRAW05
PRAW06
PRAW07
PRAW08
PRAW09
PRAW10
RAWPMT
#-h- spawn.ml         138  asc  08-aug-83 08:29:00  tools (lblh csam sventek)
APPRED
CREMBX
DCLOUT
GENPNM
GETBPR
GETOWN
GETPDB
GETPID
GETPRV
GETUIC
PRCDON
PUTHEX
PUTPDB
PWAIT
QUOTAS
RDTMBX
SPAWN
SRESET
UNIQUE
WTMSEC
#-h- template.ed      146  asc  08-aug-83 08:30:43  tools (lblh csam sventek)
g/%?*$/s\\$ libr/extr=(&)/outp=t.o rlib.olb@n$ appe t.o NAME.cob@n$ delete t.o.*\
1s/t.o/NAME.cob/
2,3d
1i
$ set verify
$ delete NAME.cob.*
.
w
q
#-h- buildcob.sh       74  asc  08-aug-83 08:30:44  tools (lblh csam sventek)
pack -8 <$1.ml | ch '@t+' ',' >$1.com
ch <template.ed NAME $1 | ed $1.com
