$!
$!
$!
$! This command procedure is called by CALENDAR for each month.
$! 	It computes the days of the week and calls PRINTWEEK.COM
$!	to print the computed week.
$!
$!
$PRINTMON:
$	PREVDAY=7		    !The previous day  (initially saturday)
$	CURRDAY=1		    !The current day  (initially sunday)
$!
$	WEEK:
$	   IF DAY'PREVDAY'.NE.LASTDAY THEN GOTO SAMEMON
$				    !Changing months
$	   	DAY'CURRDAY'==1     !First day of the month
$	        NEWMONTH=1          !Signal new month to begin
$		GOTO NEXTDAY
$	SAMEMON:		    !Same month
$	   DAY'CURRDAY'==DAY'PREVDAY'+1
$	NEXTDAY:		
$	   TEMP=DAY'CURRDAY'        !Adjust day for printing
$	   PDAY'CURRDAY':=='TEMP'
$	   IF 'F$LENGTH(TEMP).EQ.1 THEN PDAY'CURRDAY':==" "'TEMP'
$	   CURRDAY=CURRDAY+1        !Set up for next day
$	   PREVDAY=CURRDAY-1	
$	   IF CURRDAY.LE.7 THEN GOTO WEEK
$!
$!
$!
$! 	The week is set up and ready to print.  Check to see if month
$!	   has changed
$!
$!
$	IF NEWMONTH .AND. DAY1.EQ.1 THEN $EXIT
$	@PRINTWEEK		!Print the week just created
$	IF NEWMONTH THEN $EXIT
$GOTO PRINTMON			!LOOP to print next week
