	program	WATCH_DOG
c
c	program to prevent terminals left idle.
c	warns user at 10 minuites, throws him off at
c	20. In either case, a message is sent to the
c	operators log.
c
	IMPLICIT	INTEGER*4 (A-Z)

	integer*4	pid,newcpu,newioc,grpnum,SUBCOUNT,WATIME(2)
	integer*4	pid_l,newcpu_l,newioc_l,accnam_l,grpnum_l
	integer*4	ttynum_l,usrnam_l,logint_l
	INTEGER*4	logint(2)
	character	accnam*8,ttynum*7,usrnam*12,TIME*13
	integer*2	jpibuf(56),SEQN(2)
	equivalence	(seqn(1),pid)
	integer*4       range(2),sys$purgws
	EXTERNAL	ss$_nomoreproc,ss$_normal,ss$_nopriv
	EXTERNAL	ss$_nonexpr

	parameter	maxuser=256
	parameter	sysgrp=8
c
	integer*4	cputim(maxuser),bufioc(maxuser),sys$setprn,e,code
	integer*4	warn(maxuser),indpid,efn,sys$delprc,sys$brdcst
	integer*4	seedpid,lib$get_ef,lib$free_ef,sys$getjpi,sys$waitfr
	integer*2	seq(maxuser)
	INTEGER*4	PIDADDR,PIDLEN,CPUTADDR,CPULEN,BIOADDR,BIOLEN
	INTEGER*4	LOGINADDR,LOGINLEN,USERADDR,USERLEN,ACCADDR
	INTEGER*4	ACCLEN,TERMADDR,TERMLEN,GRPADDR,GRPLEN,PRCCADDR
	INTEGER*4	PRCCLEN
	character	message*85,OPER_MESS*95,HEADER_MESS*30
	BYTE		OPMESS_BUILD(8)
c
	EXTERNAL	jpi$_pid,jpi$_cputim,jpi$_bufio,jpi$_logintim
	EXTERNAL	jpi$_username,jpi$_account,jpi$_terminal
	EXTERNAL	jpi$_grp,JPI$_PRCCNT,JPI$C_LISTEND
	EXTERNAL 	OPC$M_NM_CENTRL,OPC$_RQ_RQST

c
c	define the contents of the request buffer
c
	
	EQUIVALENCE	(PIDADDR,JPIBUF(3))
	EQUIVALENCE	(PIDLEN,JPIBUF(5))

	EQUIVALENCE	(CPUTADDR,JPIBUF(9))
	EQUIVALENCE	(CPULEN,JPIBUF(11))

	EQUIVALENCE	(BIOADDR,JPIBUF(15))
	EQUIVALENCE	(BIOLEN,JPIBUF(17))

	EQUIVALENCE	(LOGINADDR,JPIBUF(21))
	EQUIVALENCE	(LOGINLEN,JPIBUF(23))

	EQUIVALENCE	(USERADDR,JPIBUF(27))
	EQUIVALENCE	(USERLEN,JPIBUF(29))

	EQUIVALENCE	(ACCADDR,JPIBUF(33))
	EQUIVALENCE	(ACCLEN,JPIBUF(35))

	EQUIVALENCE	(TERMADDR,JPIBUF(39))
	EQUIVALENCE	(TERMLEN,JPIBUF(41))

	EQUIVALENCE	(GRPADDR,JPIBUF(45))
	EQUIVALENCE	(GRPLEN,JPIBUF(47))

	EQUIVALENCE	(PRCCADDR,JPIBUF(51))
	EQUIVALENCE	(PRCCLEN,JPIBUF(53))

	EQUIVALENCE	(TYPE,OPMESS_BUILD(1))
	EQUIVALENCE	(TARGET,OPMESS_BUILD(2))
	EQUIVALENCE	(OPMESS_BUILD,OPER_MESS)
	EQUIVALENCE	(MESSAGE,OPER_MESS(11:))

C
C
C	GET THE PID
C
C
	jpibuf(2)=%LOC(jpi$_pid)
	JPIBUF(1)=4
	PIDADDR=%loc(pid)
	PIDLEN=%loc(pid_l)
C
C
C	GET THE CPU TIME USED
C
C
	JPIBUF(8)=%LOC(jpi$_cputim)
	JPIBUF(7)=4
	CPUTADDR=%loc(newcpu)
	CPULEN=%LOC(NEWCPU_L)
C
C
C	GET THE BUFFERED I/O COUNT
C
C
	jpibuf(14)=%LOC(jpi$_bufio)
	JPIBUF(13)=4
	BIOADDR=%loc(newioc)
	BIOLEN=%LOC(NEWIOC_L)
C
C
C	GET THE LOGIN TIME
C
C
	jpibuf(20)=%LOC(jpi$_logintim)
	JPIBUF(19)=8
	LOGINADDR=%loc(logint)
	LOGINLEN=%LOC(LOGINT_L)
C
C
C	GET THE USERNAME
C
C
	jpibuf(26)=%LOC(jpi$_username)
	JPIBUF(25)=12
	USERADDR=%loc(usrnam)
	USERLEN=%loc(usrnam_l)
C
C
C	GET THE ACCOUNT NAME
C
C
	jpibuf(32)=%LOC(jpi$_account)
	JPIBUF(31)=8
	ACCADDR=%loc(accnam)
	ACCLEN=%LOC(ACCNAM_L)
C
C
C	GET THE TERMINAL ID
C
C
	jpibuf(38)=%LOC(jpi$_terminal)
	JPIBUF(37)=7
	TERMADDR=%loc(ttynum)
	TERMLEN=%loc(ttynum_l)
C
C
C	GET THE USERS GROUP NUMBER
C
C	
	jpibuf(44)=%LOC(jpi$_grp)
	JPIBUF(43)=4
	GRPADDR=%loc(grpnum)
	GRPLEN=%LOC(GRPNUM_L)
C
C
C	GET THE NUMBER OF SUBPROCESS'
C
C
	JPIBUF(50)=%LOC(JPI$_PRCCNT)
	JPIBUF(49)=4
	PRCCADDR=%LOC(SUBCOUNT)
	PRCCLEN=0
C
C	END OF LIST
C
C
	jpibuf(55)=%LOC(JPI$C_LISTEND)
c
c
c	time to delay. in minuites. any value can be used
c	the default is 2.
c
	DATA TIME/'0 00:05:00.00'/
C
C
C	SET UP FOR THE SYS$SNDOPR
C
C

	TYPE=%LOC(OPC$_RQ_RQST)
	TARGET=%LOC(OPC$M_NM_CENTRL)
	OPER_MESS(9:9)=CHAR(7)
	OPER_MESS(10:10)=CHAR(7)
	HEADER_MESS=CHAR(7)//'MESSAGE FROM WATCH_DOG'//CHAR(7)
C
	range(1)=0
	range(2)='7FFFFFFF'X
	mintim=5

c
c	declarations done, lets annoy some users
c
	code=sys$setprn('WATCH_DOG')
	call bug(code)
C
C	SET TIME_STAMP TO 3 IN ORDER TO GET TIME STAMP AT STARTUP
C
	TIME_STAMP=3
	OPER_MESS(11:56)='WATCH DOG HAS BEEN INITIALIZED AND IS RUNNING'
		CODE=SYS$SNDOPR(OPER_MESS,)
		CALL BUG(CODE)
	CODE=SYS$BINTIM(TIME,WATIME)
	CALL BUG(CODE)
c
c	do a wildcard getjpi, so we get data on all the users
c
1	continue
	TIME_STAMP=TIME_STAMP+1
C
C
C	SEND A TIME STAMP TO DETERMINE THAT WATCHDOG IS RUNNING
C
C
	IF (TIME_STAMP .EQ. 4 ) THEN
		OPER_MESS(11:94)='WATCH DOG TIME STAMP'
		CODE=SYS$SNDOPR(OPER_MESS,)
		CALL BUG(CODE)
		TIME_STAMP=0
	ENDIF
	seedpid = -1
	e=0
c
c	as long as there are users
c
	do while (e.ne.%LOC(ss$_nomoreproc))	
c
c	get an efn from the system
c

	code=lib$get_ef(efn)
	call bug(code)
	if (code.eq.%LOC(ss$_normal)) then
c
c	we have the efn, get some info on the user
c
	   e=sys$getjpi(%val(efn),%ref(seedpid),,%ref(jpibuf),,,)
	   if (e.eq.%LOC(ss$_normal)) then
		code=sys$waitfr(%val(efn))
	   endif
	if (e.ne.%LOC(ss$_nopriv).and.e.ne.%LOC(ss$_nonexpr)
	1 .and.e.ne.%LOC(ss$_nomoreproc)) then
		call bug(e)
	   endif
	endif
c
c	de-allocate the event flag
c
	code=lib$free_ef(efn)
	call bug(code)
	if (e.eq.%LOC(ss$_normal)) then
c
c	we have a user, get the low 16 bits of his pid (the index) 
c	the high order bits are the sequence number
c
	indpid=seqn(1)
c
c	we have the turkey let us set our next action
c	based on how he was doing 10 min ago
c
		warn(indpid)=warn(indpid)+1
c
c	if the sequence number has changed since we last logged in,
c	we have a new sucker. reset all the use counts, and dont bother him
c
	   if (seq(indpid).ne.seqn(2)) then
		seq(indpid)=seqn(2)
		cputim(indpid)=0
		bufioc(indpid)=0
		warn(indpid)=0
	   endif
c
c	I leave the system processes alone, things break if I don't
c
C	   if (accnam(1:accnam_l).eq.'SYSTEM') then
C		warn(indpid)=0
C	   endif
c
c	I leave the systems staff alone, otherwise I would be considered
c	anti-social
c	(besides that makes me immune too!)
c
C	   if (grpnum.le.sysgrp) then
C		warn(indpid)=0	
C	   endif
c
c	if he has no tty associated, he is a batch job, or an acp
c	or something like that. if he is a batch job during primetime
c	it is likeley that he is not running enough to notice
c
	   if (ttynum_l.eq.0) then
		warn(indpid)=0

	   endif
c
c	normal user, he can be saved by doing an i/o, or using 50ms of cpu
c

	   if (bufioc(indpid).lt.newioc) then
		warn(indpid)=0
		bufioc(indpid)=newioc
	   endif
	   if (cputim(indpid)+mintim.le.newcpu) then
		warn(indpid)=0
		cputim(indpid)=newcpu
	   endif
C
C
C	IF HE HAS SOME SUBPROCESS' RUNNING THEN HE MAY BE WAITING
C	SO DON'T BLOW HIM AWAY
C
C
	IF (SUBCOUNT .GT. 0) WARN(INDPID)=0
c
c	we now know the turkeys state, lets decide what to do with him
c
C
C
	IF (WARN(INDPID) .GT. 1) THEN
		call warnuser(MESSAGE,WARN(INDPID),ttynum,ttynum_l,
	1			usrnam,usrnam_l)
		CODE=SYS$SNDOPR(OPER_MESS,)
		CALL BUG(CODE)
	   if (warn(indpid).eq.4) then
		code=sys$delprc(%ref(pid),)
		call bug(code)
	   endif
		E=SYS$BRDCST(HEADER_MESS,TTYNUM)
		CALL BUG(E)
		e=sys$brdcst(OPER_MESS(9:),ttynum)
		call bug(e)
		CPUTIM(INDPID)=NEWCPU
		BUFIOC(INDPID)=NEWIOC
	ENDIF
	endif
	enddo
C
C
C	SET UP A SCHEDULED WAKE UP TO OCCUR IN A DELTA TIME
C
C
	CODE=SYS$SCHDWK(,,WATIME,)
	CALL BUG(CODE)
c		dont waste memory while waiting
c
c
c	the range field provides for purging all of the address space
c
	e=sys$purgws(%ref(range))
	call bug(e)
c
c		and wait for it
c
C
C	HIBERNATE TILL THE SCEDULED WAKE-UP
C
	CODE=SYS$HIBER()
 	goto 1
	end
C
C

	subroutine warnuser(MESSAGE,LEVEL,ttynum,
	1		    ttynum_l,usrnam,usrnam_l)
	integer*4 pid,sys$brdcst,e
	integer*2 ttynum_l,usrnam_l,message_l
	character ttynum*7,usrnam*12,timbf*8,message*85
c 
c	clear the message buffer
c
	message = ' '
c
c	get the time of day
c
	call TIME(TIMBF)
c
c	assemble the message
c
	message(1:8)=timbf
	message_l=10
	message(message_l:usrnam_l+message_l)=usrnam
	message_l=message_l+usrnam_l+1
	message(message_l:message_l+ttynum_l)=ttynum
	message_l=message_l+ttynum_l+1
c
	IF (LEVEL .EQ. 2 )THEN
 	message(message_l:message_l+54)= 'has been inactive for 10 min.'
	ELSE
	IF (LEVEL .EQ. 3) THEN
	message(message_l:message_l+54)= 'has been inactive for 15 min.'
	ELSE
	message(message_l:message_l+54)= 'has been inactive for 20 min.'
	1//' and is being logged off'
 	ENDIF
	ENDIF
c
c	we got a nice  note, NOW GO BACK AND send it to him
c
	return
	end
C
C
C

C
C
	subroutine bug(e)

	integer*4	pid,newcpu,newioc,grpnum
	integer*2	pid_l,newcpu_l,newioc_l,accnam_l,grpnum_l
	integer*2	ttynum_l,usrnam_l,logint_l,seqn(2)
	real*8		logint
	character	accnam*8,ttynum*7,usrnam*12
	equivalence	(seqn(1),pid)
	integer*4	jpibuf(25)
	EXTERNAL	SS$_NORMAL

	integer*4 e,lib$signal,i
C	IF (E .NE. %LOC(SS$_NORMAL)) CALL LIB$STOP(%VAL(E))
	return
	end
