$! *************************************************************************
$! *************************************************************************
$! **                                                                     **
$! **                                                                     **
$! **  The following command procedure or fortran program was written by: **
$! **                                                                     **
$! **  Aaron B. Stein                                                     **
$! **  USAE Waterways Experiment Station                                  **
$! **  Vicksburg, Mississippi, 39180                                      **
$! **                                                                     **
$! **  601-634-3283                                                       **
$! **                                                                     **
$! **                                                                     **
$! *************************************************************************
$! *************************************************************************
$! 
$	verify = f$verify()
$	SET NOVERIFY
$	SET NOCONTROL_Y
$	IF F$DIRECTORY().EQS."[SYSMGR.COMBO]" THEN $EXIT
$	IF F$MODE().EQS."BATCH" THEN GOTO BATCH
$	HOME        :==   SET DEF SYS$LOGIN
$	MOUNT       :==   MOUNT/NOASSIST
$	EDTCAI      :==   RUN SYS$SYSROOT:[SYSEXE]EDTCAI
$	SYMBOLS     :==   SHOW SYMBOL/GLOBAL/ALL
$	W132        :==   SET TERMINAL/WIDTH=132
$	W80         :==   SET TERMINAL/WIDTH=80
$BATCH:
$	E           :==   @SYS$SYSROOT:[SYSMGR.UTIL]EDT
$	GRAF        :==   @SYS$SYSROOT:[SYSMGR.UTIL]GRAF
$	SD	    :==   @SYS$SYSROOT:[SYSMGR.UTIL]SD
$	PAGE        :==   @SYS$SYSROOT:[SYSMGR.UTIL]FF
$	SRJEQ       :==   SHOW QUEUE SF
$	SU*BMIT     :==   SUBMIT/NOPRINT/NOTIFY/LOG=[]
$	SUB_BIG     :==   SUBMIT/NOPRINT/NOTIFY/LOG=[]/QUE=BLACK_HOLE
$	RJESTART    :==   SUBMIT/NOPRINT/NOTIFY/LOG=[]/QUE=SF -
				 USER_DISK:[RJE]RJESTART
$	RJESTOP     :==   SUBMIT/NOPRINT/NOTIFY/LOG=[]/QUE=SF -
				 USER_DISK:[RJE]RJESTOP
$	RJE         :==   SUBMIT/NOPRINT/NOTIFY/LOG=[]/QUE=SF -
				 USER_DISK:[RJE]RJESUB /PARA= 
$	SPQ         :==   SHOW QUEUE LPA0
$	SBQ         :==   SHOW QUEUE SYS$BATCH
$	SBIGQ       :==   SHOW QUEUE BLACK_HOLE
$	PR*INT      :==   PRINT/NOTIFY 
$	LE*TTER	    :==   PRINT/DEV=TTA7:/NOTIFY
$	KP          :==   @SYS$SYSROOT:[SYSMGR.UTIL]KILLPRINT
$	KB          :==   @SYS$SYSROOT:[SYSMGR.UTIL]KILLBATCH
$	KBIG        :==   @SYS$SYSROOT:[SYSMGR.UTIL]KILLBIG
$	PH*ASE2     :==   @SYS$SYSROOT:[SYSMGR.UTIL]PHASE2/OUTPUT=NL:
$	TL*INK	    :==	  @SYS$SYSROOT:[SYSMGR.UTIL]TEKLINK
$	GL*INK	    :==	  @SYS$SYSROOT:[SYSMGR.UTIL]GCSLINK
$	VL*INK	    :==	  @SYS$SYSROOT:[SYSMGR.UTIL]VERSALINK
$	COL*UMN	    :==   @SYS$SYSROOT:[SYSMGR.UTIL]COLUMNS
$	BL*ANK      :==   @SYS$SYSROOT:[SYSMGR.UTIL]BLANK
$	SAS         :==	  $ XSAS
$	SET CONTROL= (T,Y)
$EXIT:
$	if verify then 	$	set verify
